local ns = {};
setmetatable(ns, {__index = _G});
harrvah_capital = ns;
setfenv(1, ns);

map_name = ""
map_designers = "Tyler Olsen (Roots)"
map_description = "A map used only for testing purposes of the map mode and map editor. It is not found anywhere in the game."

map_length = 98
map_height = 104
number_tilesets = 11
number_tile_layers = 4
number_map_contexts = 3

tileset_filenames = {}
tileset_filenames[1] = "lua/data/tilesets/building_interior_objects_01.lua"
tileset_filenames[2] = "lua/data/tilesets/castle_greystone_exterior_01.lua"
tileset_filenames[3] = "lua/data/tilesets/castle_greystone_exterior_02.lua"
tileset_filenames[4] = "lua/data/tilesets/desert_ground.lua"
tileset_filenames[5] = "lua/data/tilesets/desert_house_exterior.lua"
tileset_filenames[6] = "lua/data/tilesets/desert_house_interior.lua"
tileset_filenames[7] = "lua/data/tilesets/desert_town_exterior.lua"
tileset_filenames[8] = "lua/data/tilesets/outdoor_market.lua"
tileset_filenames[9] = "lua/data/tilesets/castle_exterior_01.lua"
tileset_filenames[10] = "lua/data/tilesets/building_interior_objects_02.lua"
tileset_filenames[11] = "lua/data/tilesets/mountain_house_interior.lua"

tile_layer_names = {}
tile_layer_names[1] = "Ground"
tile_layer_names[2] = "Middle"
tile_layer_names[3] = "Upper"
tile_layer_names[4] = "Sky"

tile_layer_collision_enabled = {}
tile_layer_collision_enabled[1] = true
tile_layer_collision_enabled[2] = true
tile_layer_collision_enabled[3] = false
tile_layer_collision_enabled[4] = false

map_context_names = {}
map_context_names[1] = "Base"
map_context_names[2] = "Besieged"
map_context_names[3] = "InteriorA"

map_context_inheritance = {}
map_context_inheritance[1] = -1
map_context_inheritance[2] = 1
map_context_inheritance[3] = -1

collision_grid = {}
collision_grid[0] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[1] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[2] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[3] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[4] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[5] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[6] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[7] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[8] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[9] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[10] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[11] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[12] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[13] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[14] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[15] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[16] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[17] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[18] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[19] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[20] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[21] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[22] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[23] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[24] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[25] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[26] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[27] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[28] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[29] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[30] = { 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[31] = { 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[32] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3 }
collision_grid[33] = { 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 3 }
collision_grid[34] = { 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 3 }
collision_grid[35] = { 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 3 }
collision_grid[36] = { 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3 }
collision_grid[37] = { 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3 }
collision_grid[38] = { 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3 }
collision_grid[39] = { 3, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3 }
collision_grid[40] = { 3, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3 }
collision_grid[41] = { 3, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3 }
collision_grid[42] = { 3, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 3, 3, 3, 0, 3, 0, 0 }
collision_grid[43] = { 3, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 3, 0, 3, 0, 0 }
collision_grid[44] = { 3, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 3, 0, 3, 0, 0 }
collision_grid[45] = { 3, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 3, 0, 3, 0, 0 }
collision_grid[46] = { 3, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 3, 3, 3, 0, 3, 0, 0 }
collision_grid[47] = { 3, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 3, 3, 3, 0, 3, 0, 0 }
collision_grid[48] = { 3, 0, 0, 0, 3, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[49] = { 3, 0, 0, 0, 3, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[50] = { 3, 3, 3, 0, 3, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[51] = { 3, 3, 3, 0, 3, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[52] = { 3, 3, 3, 3, 3, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[53] = { 3, 3, 3, 3, 3, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[54] = { 3, 3, 3, 3, 3, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[55] = { 3, 3, 3, 3, 3, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[56] = { 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[57] = { 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[58] = { 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[59] = { 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[60] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[61] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0 }
collision_grid[62] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[63] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[64] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[65] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[66] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[67] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[68] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[69] = { 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[70] = { 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[71] = { 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0 }
collision_grid[72] = { 3, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[73] = { 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[74] = { 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[75] = { 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[76] = { 3, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[77] = { 3, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[78] = { 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[79] = { 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[80] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[81] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[82] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[83] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[84] = { 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[85] = { 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[86] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[87] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[88] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3 }
collision_grid[89] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3 }
collision_grid[90] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[91] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[92] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[93] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[94] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0 }
collision_grid[95] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0 }
collision_grid[96] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3 }
collision_grid[97] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3 }
collision_grid[98] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3 }
collision_grid[99] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3 }
collision_grid[100] = { 3, 3, 0, 0, 0, 0, 4, 4, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3 }
collision_grid[101] = { 3, 3, 0, 0, 0, 0, 4, 4, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3 }
collision_grid[102] = { 3, 3, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 3, 3, 3, 3 }
collision_grid[103] = { 3, 3, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 3, 3, 3, 3 }
collision_grid[104] = { 3, 3, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 3, 3, 3, 3 }
collision_grid[105] = { 3, 3, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3 }
collision_grid[106] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 3, 3 }
collision_grid[107] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 3, 3 }
collision_grid[108] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 7, 0, 0, 3, 3 }
collision_grid[109] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 7, 0, 0, 3, 3 }
collision_grid[110] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 7, 0, 0, 3, 3 }
collision_grid[111] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 7, 0, 0, 3, 3 }
collision_grid[112] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 3, 3 }
collision_grid[113] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 3, 3 }
collision_grid[114] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 3, 3 }
collision_grid[115] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 3, 3 }
collision_grid[116] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 3, 3 }
collision_grid[117] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 7, 0, 0, 3, 3 }
collision_grid[118] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 7, 0, 0, 3, 3 }
collision_grid[119] = { 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 7, 0, 0, 3, 3 }
collision_grid[120] = { 3, 3, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 7, 0, 0, 3, 3 }
collision_grid[121] = { 3, 3, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 7, 0, 0, 3, 3 }
collision_grid[122] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 3, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 3, 3 }
collision_grid[123] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 3, 3 }
collision_grid[124] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 0, 3, 3, 0, 0, 0, 3, 3 }
collision_grid[125] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 0, 3, 3, 0, 0, 0, 3, 3 }
collision_grid[126] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[127] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[128] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[129] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[130] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 3, 3 }
collision_grid[131] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 3, 3 }
collision_grid[132] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 3, 3 }
collision_grid[133] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[134] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7, 3, 3, 3, 3, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[135] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7, 7, 7, 3, 3, 7, 7, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 3, 3, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[136] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 4, 4, 3, 3, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 3, 7, 7, 7, 7, 7, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[137] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 4, 4, 3, 3, 3, 3, 3, 3, 7, 7, 3, 3, 7, 7, 3, 3, 7, 7, 7, 7, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[138] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 7, 7, 3, 3, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[139] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 7, 7, 3, 3, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[140] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[141] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[142] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 4, 4, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[143] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 4, 4, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[144] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[145] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[146] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[147] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 3, 3 }
collision_grid[148] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[149] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[150] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[151] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[152] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[153] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[154] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[155] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[156] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[157] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[158] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[159] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[160] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 4, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[161] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[162] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[163] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[164] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[165] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[166] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 7, 3, 3, 3, 3, 7, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[167] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 7, 3, 3, 3, 3, 7, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[168] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 3, 3, 3, 3, 7, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[169] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 3, 3, 3, 3, 7, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[170] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[171] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 7, 7, 7, 7, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[172] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 3, 3, 0, 7, 7, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[173] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 3, 3, 0, 7, 7, 3, 3, 3, 3, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[174] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[175] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[176] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 3, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[177] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 3, 3, 0, 0, 0, 0, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 0, 0, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[178] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 7, 7, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[179] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 7, 7, 7, 7, 7, 7, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 7, 7, 7, 7, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[180] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[181] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 7, 7, 7, 7, 7, 7, 7, 7, 0, 0, 0, 0, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[182] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[183] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[184] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[185] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[186] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[187] = { 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3 }
collision_grid[188] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[189] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[190] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[191] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[192] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[193] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[194] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[195] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[196] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[197] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[198] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[199] = { 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 }
collision_grid[200] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[201] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[202] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[203] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[204] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[205] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[206] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
collision_grid[207] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }

map_tiles = {}
map_tiles[0] = {}
map_tiles[1] = {}
map_tiles[2] = {}
map_tiles[3] = {}
map_tiles[4] = {}
map_tiles[5] = {}
map_tiles[6] = {}
map_tiles[7] = {}
map_tiles[8] = {}
map_tiles[9] = {}
map_tiles[10] = {}
map_tiles[11] = {}
map_tiles[12] = {}
map_tiles[13] = {}
map_tiles[14] = {}
map_tiles[15] = {}
map_tiles[16] = {}
map_tiles[17] = {}
map_tiles[18] = {}
map_tiles[19] = {}
map_tiles[20] = {}
map_tiles[21] = {}
map_tiles[22] = {}
map_tiles[23] = {}
map_tiles[24] = {}
map_tiles[25] = {}
map_tiles[26] = {}
map_tiles[27] = {}
map_tiles[28] = {}
map_tiles[29] = {}
map_tiles[30] = {}
map_tiles[31] = {}
map_tiles[32] = {}
map_tiles[33] = {}
map_tiles[34] = {}
map_tiles[35] = {}
map_tiles[36] = {}
map_tiles[37] = {}
map_tiles[38] = {}
map_tiles[39] = {}
map_tiles[40] = {}
map_tiles[41] = {}
map_tiles[42] = {}
map_tiles[43] = {}
map_tiles[44] = {}
map_tiles[45] = {}
map_tiles[46] = {}
map_tiles[47] = {}
map_tiles[48] = {}
map_tiles[49] = {}
map_tiles[50] = {}
map_tiles[51] = {}
map_tiles[52] = {}
map_tiles[53] = {}
map_tiles[54] = {}
map_tiles[55] = {}
map_tiles[56] = {}
map_tiles[57] = {}
map_tiles[58] = {}
map_tiles[59] = {}
map_tiles[60] = {}
map_tiles[61] = {}
map_tiles[62] = {}
map_tiles[63] = {}
map_tiles[64] = {}
map_tiles[65] = {}
map_tiles[66] = {}
map_tiles[67] = {}
map_tiles[68] = {}
map_tiles[69] = {}
map_tiles[70] = {}
map_tiles[71] = {}
map_tiles[72] = {}
map_tiles[73] = {}
map_tiles[74] = {}
map_tiles[75] = {}
map_tiles[76] = {}
map_tiles[77] = {}
map_tiles[78] = {}
map_tiles[79] = {}
map_tiles[80] = {}
map_tiles[81] = {}
map_tiles[82] = {}
map_tiles[83] = {}
map_tiles[84] = {}
map_tiles[85] = {}
map_tiles[86] = {}
map_tiles[87] = {}
map_tiles[88] = {}
map_tiles[89] = {}
map_tiles[90] = {}
map_tiles[91] = {}
map_tiles[92] = {}
map_tiles[93] = {}
map_tiles[94] = {}
map_tiles[95] = {}
map_tiles[96] = {}
map_tiles[97] = {}
map_tiles[98] = {}
map_tiles[99] = {}
map_tiles[100] = {}
map_tiles[101] = {}
map_tiles[102] = {}
map_tiles[103] = {}
map_tiles[0][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][29] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][30] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][31] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][37] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][39] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][40] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][41] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][56] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][57] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][58] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][60] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][61] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][62] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][63] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][66] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][68] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[0][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][29] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][30] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][31] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][37] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][39] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][40] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][41] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][56] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][57] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][58] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][60] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][61] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][62] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][63] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][66] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][68] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[1][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][29] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][30] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][31] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][37] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][39] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][40] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][41] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][56] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][57] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][58] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][60] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][61] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][62] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][63] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][66] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][68] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[2][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][29] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][30] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][31] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][37] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][39] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][40] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][41] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][56] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][57] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][58] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][60] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][61] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][62] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][63] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][66] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][68] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[3][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][29] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][30] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][31] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][37] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][39] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][40] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][41] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][56] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][57] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][58] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][60] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][61] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][62] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][63] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][66] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][68] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[4][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][29] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][30] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][31] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][37] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][39] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][40] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][41] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][56] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][57] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][58] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][60] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][61] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][62] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][63] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][66] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][68] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[5][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][29] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][30] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][31] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][37] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][39] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][40] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][41] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][56] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][57] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][58] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][60] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][61] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][62] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][63] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][66] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][68] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[6][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][29] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][30] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][31] = { 768, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][33] = { 768, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][35] = { 768, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][37] = { 768, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][39] = { 768, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][40] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][41] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][56] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][57] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][58] = { 768, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][60] = { 768, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][61] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][62] = { 768, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][63] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][64] = { 768, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][66] = { 768, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][68] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[7][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][29] = { 768, 268, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][30] = { 768, 269, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][31] = { 768, 403, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][32] = { 768, 257, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][33] = { 768, 403, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][34] = { 768, 257, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][35] = { 768, 403, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][36] = { 768, 257, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][37] = { 768, 403, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][38] = { 768, 257, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][39] = { 768, 403, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][40] = { 768, 270, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][41] = { 768, 271, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][56] = { 768, 268, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][57] = { 768, 269, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][58] = { 768, 305, -1, 403, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][59] = { 768, 305, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][60] = { 768, 305, -1, 403, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][61] = { 768, 305, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][62] = { 768, 305, -1, 403, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][63] = { 768, 305, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][64] = { 768, 305, -1, 403, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][65] = { 768, 305, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][66] = { 768, 305, -1, 403, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][67] = { 768, 270, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][68] = { 768, 271, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[8][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][29] = { -1, 316, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][30] = { 517, 317, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][31] = { 337, 557, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][32] = { 337, 557, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][33] = { 337, 557, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][34] = { 337, 557, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][35] = { 337, 557, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][36] = { 337, 557, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][37] = { 337, 557, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][38] = { 337, 557, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][39] = { 337, 557, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][40] = { 517, 318, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][41] = { -1, 319, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][56] = { 768, 316, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][57] = { 768, 317, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][58] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][59] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][60] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][61] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][62] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][63] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][64] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][65] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][66] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][67] = { 768, 318, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][68] = { 768, 319, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[9][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][29] = { 517, 332, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][30] = { 517, 333, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][31] = { 517, 517, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][32] = { 517, 517, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][33] = { 517, 517, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][34] = { 517, 517, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][35] = { 517, 517, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][36] = { 517, 517, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][37] = { 517, 517, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][38] = { 517, 517, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][39] = { 517, 517, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][40] = { 517, 334, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][41] = { 517, 335, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][56] = { 517, 332, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][57] = { 517, 333, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][58] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][59] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][60] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][61] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][62] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][63] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][64] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][65] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][66] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][67] = { 517, 334, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][68] = { 517, 335, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[10][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][29] = { 517, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][30] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][31] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][32] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][33] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][34] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][35] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][36] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][37] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][38] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][39] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][40] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][41] = { 517, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][46] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][47] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][48] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][49] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][50] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][51] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][56] = { 517, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][57] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][58] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][59] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][60] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][61] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][62] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][63] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][64] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][65] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][66] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][67] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][68] = { 517, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[11][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][29] = { 517, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][30] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][31] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][32] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][33] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][34] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][35] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][36] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][37] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][38] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][39] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][40] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][41] = { 517, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][44] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][46] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][47] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][48] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][49] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][50] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][51] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][53] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][56] = { 517, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][57] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][58] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][59] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][60] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][61] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][62] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][63] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][64] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][65] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][66] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][67] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][68] = { 517, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][89] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[12][97] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][29] = { 517, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][30] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][31] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][32] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][33] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][34] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][35] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][36] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][37] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][38] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][39] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][40] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][41] = { 517, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][44] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][46] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][47] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][48] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][49] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][50] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][51] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][53] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][56] = { 517, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][57] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][58] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][59] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][60] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][61] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][62] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][63] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][64] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][65] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][66] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][67] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][68] = { 517, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][69] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][70] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][71] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][72] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][73] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][74] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][75] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][76] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][77] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][78] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][79] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][80] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][81] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][82] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][83] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][84] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][85] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][86] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][87] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][88] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][89] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][90] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][91] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][92] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][93] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][94] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][95] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][96] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[13][97] = { 768, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][0] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][29] = { 517, 348, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][30] = { 517, 349, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][31] = { 517, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][32] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][33] = { 517, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][34] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][35] = { 517, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][36] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][37] = { 517, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][38] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][39] = { 517, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][40] = { 517, 350, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][41] = { 517, 351, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][44] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][46] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][47] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][48] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][49] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][50] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][51] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][53] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][56] = { 517, 348, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][57] = { 517, 349, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][58] = { 517, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][59] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][60] = { 517, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][61] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][62] = { 517, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][63] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][64] = { 517, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][65] = { 517, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][66] = { 517, -1, -1, 388, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][67] = { 517, 350, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][68] = { 517, 351, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][69] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][70] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][71] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][72] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][73] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][74] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][75] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][76] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][77] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][78] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][79] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][80] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][81] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][82] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][83] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][84] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][85] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][86] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][87] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][88] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][89] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][90] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][91] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][92] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][93] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][96] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[14][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][0] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][2] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][3] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][4] = { 894, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][5] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][6] = { 894, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][7] = { 894, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][8] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][9] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][10] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][11] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][12] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][13] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][14] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][15] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][16] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][17] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][18] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][19] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][20] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][21] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][22] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][23] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][24] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][25] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][26] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][27] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][28] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][29] = { 364, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][30] = { 365, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][31] = { 404, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][32] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][33] = { 404, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][34] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][35] = { 404, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][36] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][37] = { 404, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][38] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][39] = { 404, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][40] = { 366, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][41] = { 367, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][44] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][46] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][47] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][48] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][49] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][50] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][51] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][53] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][56] = { 768, 364, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][57] = { 768, 365, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][58] = { 305, -1, -1, 404, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][59] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][60] = { 305, -1, -1, 404, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][61] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][62] = { 305, -1, -1, 404, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][63] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][64] = { 305, -1, -1, 404, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][65] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][66] = { 305, -1, -1, 404, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][67] = { 768, 366, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][68] = { -1, 367, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][69] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][70] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][71] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][72] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][73] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][74] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][75] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][76] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][77] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][78] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][79] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][80] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][81] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][82] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][83] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][84] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][85] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][86] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][87] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][88] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][89] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][90] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][91] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][92] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][93] = { 894, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][94] = { 894, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][95] = { 894, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][96] = { 894, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[15][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][0] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][2] = { 894, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][3] = { 894, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][4] = { 894, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][5] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][6] = { 894, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][7] = { 894, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][8] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][9] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][10] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][11] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][12] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][13] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][14] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][15] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][16] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][17] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][18] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][19] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][20] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][21] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][22] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][23] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][24] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][25] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][26] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][27] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][28] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][33] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][37] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][42] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][43] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][44] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][45] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][46] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][47] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][48] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][49] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][50] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][51] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][52] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][53] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][54] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][55] = { 257, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][60] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][64] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][69] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][70] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][71] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][72] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][73] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][74] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][75] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][76] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][77] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][78] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][79] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][80] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][81] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][82] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][83] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][84] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][85] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][86] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][87] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][88] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][89] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][90] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][91] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][92] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][93] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][96] = { 894, 895, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[16][97] = { 894, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][0] = { 894, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][1] = { 894, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][2] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][3] = { 894, 894, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][4] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][5] = { 894, 433, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][6] = { 894, 926, -1, 472, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][7] = { 894, 927, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][8] = { 894, 433, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][9] = { 894, 472, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][10] = { 894, 432, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][11] = { 894, 433, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][12] = { 894, 472, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][13] = { 894, 432, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][14] = { 894, 433, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][15] = { 894, 472, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][16] = { 894, 432, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][17] = { 894, 433, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][18] = { 894, 472, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][19] = { 894, 432, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][20] = { 894, 433, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][21] = { 894, 472, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][22] = { 894, 432, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][23] = { 894, 433, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][24] = { 894, 472, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][25] = { 894, 432, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][26] = { 894, 433, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][27] = { 894, 472, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][28] = { 894, 432, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][33] = { 321, 410, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][37] = { 321, 410, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][42] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][43] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][44] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][45] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][46] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][47] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][48] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][49] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][50] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][51] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][52] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][53] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][54] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][55] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][60] = { 321, 410, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][64] = { 321, 410, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][69] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][70] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][71] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][72] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][73] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][74] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][75] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][76] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][77] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][78] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][79] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][80] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][81] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][82] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][83] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][84] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][85] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][86] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][87] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][88] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][89] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][90] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][91] = { 894, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][92] = { 894, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][93] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][96] = { 894, 895, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[17][97] = { 911, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][0] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][2] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][3] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][4] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][5] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][6] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][7] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][8] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][9] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][10] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][11] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][12] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][13] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][14] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][15] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][16] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][17] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][18] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][19] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][20] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][21] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][22] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][23] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][24] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][25] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][26] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][27] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][28] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][33] = { 321, 426, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][37] = { 321, 426, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][42] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][43] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][44] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][45] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][46] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][47] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][48] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][49] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][50] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][51] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][52] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][53] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][54] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][55] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][60] = { 321, 426, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][64] = { 321, 426, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][69] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][70] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][71] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][72] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][73] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][74] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][75] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][76] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][77] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][78] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][79] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][80] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][81] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][82] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][83] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][84] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][85] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][86] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][87] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][88] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][89] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][90] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][91] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][92] = { 518, 273, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][96] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[18][97] = { 927, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][0] = { 894, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][1] = { 894, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][2] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][3] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][4] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][5] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][6] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][7] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][8] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][9] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][10] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][11] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][12] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][13] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][14] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][15] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][16] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][17] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][18] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][19] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][20] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][21] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][22] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][23] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][24] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][25] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][26] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][27] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][28] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][33] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][37] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][42] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][43] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][44] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][45] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][46] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][47] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][48] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][49] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][50] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][51] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][52] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][53] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][54] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][55] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][60] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][64] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][69] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][70] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][71] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][72] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][73] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][74] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][75] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][76] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][77] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][78] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][79] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][80] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][81] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][82] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][83] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][84] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][85] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][86] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][87] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][88] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][89] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][90] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][91] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][92] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][96] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[19][97] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][0] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][2] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][3] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][4] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][5] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][6] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][7] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][8] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][9] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][10] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][11] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][12] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][13] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][14] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][15] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][16] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][17] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][18] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][19] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][20] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][21] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][22] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][23] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][24] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][25] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][26] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][27] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][28] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][32] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][33] = { 321, 354, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][34] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][36] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][37] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][38] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][42] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][43] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][44] = { 518, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][45] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][46] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][47] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][48] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][49] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][50] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][51] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][52] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][53] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][54] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][55] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][59] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][60] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][61] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][63] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][64] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][65] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][69] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][70] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][71] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][72] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][73] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][74] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][75] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][76] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][77] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][78] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][79] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][80] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][81] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][82] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][83] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][84] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][85] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][86] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][87] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][88] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][89] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][90] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][91] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][92] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][96] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[20][97] = { 894, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][0] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][2] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][3] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][4] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][5] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][6] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][7] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][8] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][9] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][10] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][11] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][12] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][13] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][14] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][15] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][16] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][17] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][18] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][19] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][20] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][21] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][22] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][23] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][24] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][25] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][26] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][27] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][28] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][33] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][37] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][42] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][43] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][44] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][45] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][46] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][47] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][48] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][49] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][50] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][51] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][52] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][53] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][54] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][55] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][60] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][64] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][69] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][70] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][71] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][72] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][73] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][74] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][75] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][76] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][77] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][78] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][79] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][80] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][81] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][82] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][83] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][84] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][85] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][86] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][87] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][88] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][89] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][90] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][91] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][92] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][94] = { 894, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][95] = { 894, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][96] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[21][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][0] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][2] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][3] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][4] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][5] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][6] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][7] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][8] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][9] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][10] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][11] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][12] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][13] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][14] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][15] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][16] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][17] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][18] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][19] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][20] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][21] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][22] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][23] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][24] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][25] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][26] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][27] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][28] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][33] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][37] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][39] = { 321, 308, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][42] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][43] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][44] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][45] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][46] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][47] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][48] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][49] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][50] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][51] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][52] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][53] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][54] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][55] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][60] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][64] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][69] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][70] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][71] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][72] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][73] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][74] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][75] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][76] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][77] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][78] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][79] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][80] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][81] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][82] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][83] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][84] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][85] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][86] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][87] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][88] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][89] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][90] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][91] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][92] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][94] = { 894, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][95] = { 894, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][96] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[22][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][0] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][2] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][3] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][4] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][5] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][6] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][7] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][8] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][9] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][10] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][11] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][12] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][13] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][14] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][15] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][16] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][17] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][18] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][19] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][20] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][21] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][22] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][23] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][24] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][25] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][26] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][27] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][28] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][31] = { 321, 2131, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][33] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][37] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][41] = { 399, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][42] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][43] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][44] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][45] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][46] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][47] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][48] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][49] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][50] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][51] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][52] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][53] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][54] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][55] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][60] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][64] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][69] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][70] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][71] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][72] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][73] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][74] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][75] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][76] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][77] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][78] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][79] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][80] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][81] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][82] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][83] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][84] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][85] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][86] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][87] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][88] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][89] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][90] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][91] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][92] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][94] = { 894, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][95] = { 894, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][96] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[23][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][0] = { 909, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][2] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][3] = { 894, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][4] = { 895, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][5] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][6] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][7] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][8] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][9] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][10] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][11] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][12] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][13] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][14] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][15] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][16] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][17] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][18] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][19] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][20] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][21] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][22] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][23] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][24] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][25] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][26] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][27] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][28] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][29] = { 396, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][33] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][37] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][42] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][43] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][44] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][45] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][46] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][47] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][48] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][49] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][50] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][51] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][52] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][53] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][54] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][55] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][60] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][64] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][69] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][70] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][71] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][72] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][73] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][74] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][75] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][76] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][77] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][78] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][79] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][80] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][81] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][82] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][83] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][84] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][85] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][86] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][87] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][88] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][89] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][90] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][91] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][92] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][96] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[24][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][0] = { 894, 925, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][1] = { 909, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][2] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][3] = { 909, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][4] = { 911, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][5] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][6] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][7] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][8] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][9] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][10] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][11] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][12] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][13] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][14] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][15] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][16] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][17] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][18] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][19] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][20] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][21] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][22] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][23] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][24] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][25] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][26] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][27] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][28] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][32] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][33] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][34] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][36] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][37] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][38] = { 321, 354, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][42] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][43] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][44] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][45] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][46] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][47] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][48] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][49] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][50] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][51] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][52] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][53] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][54] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][55] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][59] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][60] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][61] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][63] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][64] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][65] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][69] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][70] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][71] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][72] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][73] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][74] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][75] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][76] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][77] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][78] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][79] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][80] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][81] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][82] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][83] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][84] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][85] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][86] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][87] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][88] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][89] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][90] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][91] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][92] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][96] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[25][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][0] = { 894, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][1] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][2] = { 894, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][3] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][4] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][5] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][6] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][7] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][8] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][9] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][10] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][11] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][12] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][13] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][14] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][15] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][16] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][17] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][18] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][19] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][20] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][21] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][22] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][23] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][24] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][25] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][26] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][27] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][28] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][33] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][37] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][42] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][43] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][44] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][45] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][46] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][47] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][48] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][49] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][50] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][51] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][52] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][53] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][54] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][55] = { 517, 518, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][60] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][64] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][69] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][70] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][71] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][72] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][73] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][74] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][75] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][76] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][77] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][78] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][79] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][80] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][81] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][82] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][83] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][84] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][85] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][86] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][87] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][88] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][89] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][90] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][91] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][92] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][94] = { 894, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][95] = { 894, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][96] = { 895, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[26][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][0] = { 894, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][1] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][2] = { 894, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][3] = { 910, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][4] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][5] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][6] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][7] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][8] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][9] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][10] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][11] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][12] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][13] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][14] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][15] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][16] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][17] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][18] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][19] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][20] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][21] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][22] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][23] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][24] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][25] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][26] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][27] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][28] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][33] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][37] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][42] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][43] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][44] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][45] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][46] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][47] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][48] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][49] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][50] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][51] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][52] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][53] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][54] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][55] = { 305, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][60] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][64] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][69] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][70] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][71] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][72] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][73] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][74] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][75] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][76] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][77] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][78] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][79] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][80] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][81] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][82] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][83] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][84] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][85] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][86] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][87] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][88] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][89] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][90] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][91] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][92] = { 518, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][94] = { 894, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][95] = { 894, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][96] = { 895, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[27][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][0] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][1] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][2] = { 909, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][3] = { 894, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][4] = { 894, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][5] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][6] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][7] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][8] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][9] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][10] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][11] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][12] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][13] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][14] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][15] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][16] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][17] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][18] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][19] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][20] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][21] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][22] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][23] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][24] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][25] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][26] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][27] = { 518, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][28] = { 518, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][33] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][37] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][42] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][43] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][44] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][45] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][46] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][47] = { 321, 466, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][48] = { 321, 467, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][49] = { 321, 467, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][50] = { 321, 470, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][51] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][52] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][53] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][54] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][55] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][60] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][64] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][69] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][70] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][71] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][72] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][73] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][74] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][75] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][76] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][77] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][78] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][79] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][80] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][81] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][82] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][83] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][84] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][85] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][86] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][87] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][88] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][89] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][90] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][91] = { 518, 384, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][92] = { 518, 385, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][94] = { 894, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][95] = { 894, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][96] = { 895, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[28][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][0] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][1] = { 894, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][2] = { 894, 925, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][3] = { 926, 925, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][4] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][5] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][6] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][7] = { 668, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][8] = { 669, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][9] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][10] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][11] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][12] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][13] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][14] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][15] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][16] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][17] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][18] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][19] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][20] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][21] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][22] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][23] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][24] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][25] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][26] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][27] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][28] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][33] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][37] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][41] = { 399, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][42] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][43] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][44] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][45] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][46] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][47] = { 321, 482, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][48] = { 321, 483, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][49] = { 321, 483, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][50] = { 321, 486, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][51] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][52] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][53] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][54] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][55] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][60] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][64] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][69] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][70] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][71] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][72] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][73] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][74] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][75] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][76] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][77] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][78] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][79] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][80] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][81] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][82] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][83] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][84] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][85] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][86] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][87] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][88] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][89] = { 668, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][90] = { 669, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][91] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][92] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][93] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][96] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[29][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][0] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][2] = { 894, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][3] = { 942, 877, -1, 957, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][4] = { 927, 879, -1, 959, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][5] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][6] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][7] = { 668, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][8] = { 669, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][9] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][10] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][11] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][12] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][13] = { 321, 641, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][14] = { 321, 640, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][15] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][16] = { 321, 410, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][17] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][18] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][19] = { 321, 410, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][20] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][21] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][22] = { 321, 410, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][23] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][24] = { 321, 641, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][25] = { 321, 640, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][26] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][27] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][28] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][29] = { 396, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][32] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][33] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][34] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][36] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][37] = { 321, 354, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][38] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][42] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][43] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][44] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][45] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][46] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][47] = { 321, 498, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][48] = { 321, 499, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][49] = { 321, 499, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][50] = { 321, 502, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][51] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][52] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][53] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][54] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][55] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][59] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][60] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][61] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][63] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][64] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][65] = { 321, 355, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][69] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][70] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][71] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][72] = { 321, 641, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][73] = { 321, 640, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][74] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][75] = { 321, 410, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][76] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][77] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][78] = { 321, 410, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][79] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][80] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][81] = { 321, 410, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][82] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][83] = { 321, 641, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][84] = { 321, 640, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][85] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][86] = { 321, 331, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][87] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][88] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][89] = { 668, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][90] = { 669, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][91] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][92] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][93] = { 909, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][94] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][95] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][96] = { 911, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[30][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][0] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][2] = { 894, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][3] = { 942, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][4] = { 927, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][5] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][6] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][7] = { 668, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][8] = { 669, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][9] = { 321, 323, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][10] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][11] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][12] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][13] = { 321, 657, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][14] = { 321, 656, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][15] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][16] = { 321, 426, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][17] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][18] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][19] = { 321, 426, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][20] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][21] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][22] = { 321, 426, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][23] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][24] = { 321, 657, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][25] = { 321, 656, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][26] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][27] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][28] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][33] = { 321, 704, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][34] = { 321, 705, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][35] = { 321, 706, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][36] = { 321, 707, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][37] = { 321, 708, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][42] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][43] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][44] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][45] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][46] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][47] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][48] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][49] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][50] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][51] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][52] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][53] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][54] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][55] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][60] = { 321, 704, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][61] = { 321, 705, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][62] = { 321, 706, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][63] = { 321, 707, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][64] = { 321, 708, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][69] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][70] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][71] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][72] = { 321, 657, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][73] = { 321, 656, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][74] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][75] = { 321, 426, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][76] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][77] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][78] = { 321, 426, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][79] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][80] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][81] = { 321, 426, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][82] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][83] = { 321, 657, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][84] = { 321, 656, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][85] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][86] = { 321, 347, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][87] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][88] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][89] = { 668, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][90] = { 669, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][91] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][92] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][93] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][94] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][95] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][96] = { 927, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[31][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][0] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][2] = { 894, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][3] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][4] = { 927, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][5] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][6] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][7] = { 668, 437, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][8] = { 669, 438, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][9] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][10] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][11] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][12] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][13] = { 321, 673, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][14] = { 321, 672, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][15] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][16] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][17] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][18] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][19] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][20] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][21] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][22] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][23] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][24] = { 321, 673, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][25] = { 321, 672, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][26] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][27] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][28] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][29] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][33] = { 321, 720, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][37] = { 321, 724, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][41] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][42] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][43] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][44] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][45] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][46] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][47] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][48] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][49] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][50] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][51] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][52] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][53] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][54] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][55] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][56] = { 380, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][60] = { 321, 720, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][64] = { 321, 724, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][68] = { 383, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][69] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][70] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][71] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][72] = { 321, 673, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][73] = { 321, 672, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][74] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][75] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][76] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][77] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][78] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][79] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][80] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][81] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][82] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][83] = { 321, 673, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][84] = { 321, 672, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][85] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][86] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][87] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][88] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][89] = { 668, 437, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][90] = { 669, 438, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][91] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][92] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][93] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][94] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][95] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][96] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[32][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][0] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][2] = { 894, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][3] = { 894, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][4] = { 927, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][5] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][6] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][7] = { 337, 453, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][8] = { 337, 454, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][9] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][10] = { 337, -1, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][11] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][12] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][13] = { 337, 689, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][14] = { 337, 688, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][15] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][16] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][17] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][18] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][19] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][20] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][21] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][22] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][23] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][24] = { 337, 689, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][25] = { 337, 688, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][26] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][27] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][28] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][29] = { -1, 396, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][30] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][31] = { 321, -1, -1, 2160, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][33] = { 321, 736, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][37] = { 321, 740, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][39] = { 321, -1, -1, 2160, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][40] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][41] = { -1, 399, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][42] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][43] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][44] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][45] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][46] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][47] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][48] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][49] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][50] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][51] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][52] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][53] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][54] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][55] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][56] = { 396, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][57] = { 397, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][58] = { 321, -1, -1, 2160, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][60] = { 321, 736, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][64] = { 321, 740, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][66] = { 321, -1, -1, 2160, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][67] = { 398, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][68] = { 399, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][69] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][70] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][71] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][72] = { 337, 689, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][73] = { 337, 688, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][74] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][75] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][76] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][77] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][78] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][79] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][80] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][81] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][82] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][83] = { 337, 689, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][84] = { 337, 688, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][85] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][86] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][87] = { 337, -1, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][88] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][89] = { 337, 453, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][90] = { 337, 454, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][91] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][92] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][93] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][94] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][95] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][96] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[33][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][0] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][2] = { 894, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][3] = { 894, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][4] = { 894, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][5] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][6] = { 894, 1003, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][7] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][8] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][9] = { 2048, 894, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][10] = { 2049, 2096, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][11] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][12] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][13] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][14] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][15] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][16] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][17] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][18] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][19] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][20] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][21] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][22] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][23] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][24] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][25] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][26] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][27] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][28] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][29] = { 2049, 412, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][30] = { 2049, 413, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][31] = { 337, -1, -1, 2176, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][32] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][33] = { 337, 752, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][34] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][35] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][36] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][37] = { 337, 756, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][38] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][39] = { 337, -1, -1, 2176, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][40] = { 2049, 414, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][41] = { 2049, 415, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][42] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][43] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][44] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][46] = { 894, -1, -1, 2240, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][47] = { 894, 528, -1, 2241, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][48] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][49] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][50] = { 894, 530, -1, 2240, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][51] = { 894, -1, -1, 2241, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][53] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][54] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][55] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][56] = { 2048, 412, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][57] = { 397, 413, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][58] = { 337, -1, -1, 2176, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][59] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][60] = { 337, 752, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][61] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][62] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][63] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][64] = { 337, 756, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][65] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][66] = { 337, -1, -1, 2176, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][67] = { 2048, 414, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][68] = { 2048, 415, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][69] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][70] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][71] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][72] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][73] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][74] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][75] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][76] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][77] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][78] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][79] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][80] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][81] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][82] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][83] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][84] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][85] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][86] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][87] = { 2048, 2096, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][88] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][89] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][90] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][91] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][92] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][93] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][94] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][95] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][96] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[34][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][0] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][2] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][3] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][4] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][5] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][6] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][7] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][8] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][9] = { 2048, 894, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][10] = { 2048, 2083, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][11] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][12] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][13] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][14] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][15] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][16] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][17] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][18] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][19] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][20] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][21] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][22] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][23] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][24] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][25] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][26] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][27] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][28] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][29] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][30] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][31] = { 2049, 2192, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][32] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][33] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][34] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][35] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][36] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][37] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][38] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][39] = { 2049, 2192, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][40] = { 2049, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][41] = { 2048, 2096, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][42] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][43] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][44] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][46] = { 894, -1, -1, 2256, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][47] = { 529, 528, -1, 2257, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][48] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][49] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][50] = { 529, 530, -1, 2256, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][51] = { 894, -1, -1, 2257, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][53] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][54] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][55] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][56] = { 2048, 2096, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][57] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][58] = { 2048, 2192, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][59] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][60] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][61] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][62] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][63] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][64] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][65] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][66] = { 2048, 2192, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][67] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][68] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][69] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][70] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][71] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][72] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][73] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][74] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][75] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][76] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][77] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][78] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][79] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][80] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][81] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][82] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][83] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][84] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][85] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][86] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][87] = { 2048, 2083, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][88] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][89] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][90] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][91] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][92] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][93] = { 894, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][94] = { 894, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][95] = { 894, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][96] = { 894, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[35][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][0] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][2] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][3] = { 894, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][4] = { 894, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][5] = { 894, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][6] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][7] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][8] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][9] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][10] = { 2048, 2112, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][11] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][12] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][13] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][14] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][15] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][16] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][17] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][18] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][19] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][20] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][21] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][22] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][23] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][24] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][25] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][26] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][27] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][28] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][29] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][30] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][31] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][32] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][33] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][34] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][35] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][36] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][37] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][38] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][39] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][40] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][41] = { 2048, 2112, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][42] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][43] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][44] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][46] = { 894, -1, -1, 2272, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][47] = { 894, 528, -1, 2273, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][48] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][49] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][50] = { 894, 530, -1, 2272, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][51] = { 894, -1, -1, 2273, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][53] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][54] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][55] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][56] = { 2048, 2112, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][57] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][58] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][59] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][60] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][61] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][62] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][63] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][64] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][65] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][66] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][67] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][68] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][69] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][70] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][71] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][72] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][73] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][74] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][75] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][76] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][77] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][78] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][79] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][80] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][81] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][82] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][83] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][84] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][85] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][86] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][87] = { 2048, 2112, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][88] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][89] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][90] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][91] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][92] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][93] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][96] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[36][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][0] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][2] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][3] = { 894, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][4] = { 894, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][5] = { 894, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][6] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][7] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][8] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][9] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][10] = { 2048, 2128, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][11] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][12] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][13] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][14] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][15] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][16] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][17] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][18] = { 2048, -1, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][19] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][20] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][21] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][22] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][23] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][24] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][25] = { 2048, -1, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][26] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][27] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][28] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][29] = { 2048, -1, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][30] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][31] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][32] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][33] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][34] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][35] = { 2048, -1, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][36] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][37] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][38] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][39] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][40] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][41] = { 2048, 2128, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][42] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][43] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][44] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][46] = { 894, 2288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][47] = { 529, 2289, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][48] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][49] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][50] = { 529, 2288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][51] = { 894, 2289, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][53] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][54] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][55] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][56] = { 2048, 2128, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][57] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][58] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][59] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][60] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][61] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][62] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][63] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][64] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][65] = { 2048, -1, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][66] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][67] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][68] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][69] = { 2048, -1, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][70] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][71] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][72] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][73] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][74] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][75] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][76] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][77] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][78] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][79] = { 2048, -1, -1, 2080, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][80] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][81] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][82] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][83] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][84] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][85] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][86] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][87] = { 2048, 2128, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][88] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][89] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][90] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][91] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][92] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][93] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][96] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[37][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][0] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][1] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][2] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][3] = { 894, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][4] = { 894, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][5] = { 894, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][6] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][7] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][8] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][9] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][10] = { 2048, 2144, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][11] = { 2051, 2098, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][12] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][13] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][14] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][15] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][16] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][17] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][18] = { 2048, 2097, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][19] = { 2048, 2098, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][20] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][21] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][22] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][23] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][24] = { 2051, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][25] = { 2048, 2096, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][26] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][27] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][28] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][29] = { 2048, 2096, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][30] = { 2048, 2098, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][31] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][32] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][33] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][34] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][35] = { 2048, 2097, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][36] = { 2048, 2098, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][37] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][38] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][39] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][40] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][41] = { 2048, 2144, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][42] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][43] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][44] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][46] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][47] = { 894, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][48] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][49] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][50] = { 894, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][51] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][53] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][54] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][55] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][56] = { 2048, 2144, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][57] = { 2048, 2098, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][58] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][59] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][60] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][61] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][62] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][63] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][64] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][65] = { 2048, 2096, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][66] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][67] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][68] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][69] = { 2048, 2096, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][70] = { 2048, 2098, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][71] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][72] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][73] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][74] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][75] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][76] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][77] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][78] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][79] = { 2048, 2097, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][80] = { 2048, 2098, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][81] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][82] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][83] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][84] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][85] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][86] = { 2048, 2099, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][87] = { 2048, 2144, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][88] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][89] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][90] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][91] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][92] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][93] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][94] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][95] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][96] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[38][97] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][0] = { 909, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][1] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][2] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][3] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][4] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][5] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][6] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][7] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][8] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][9] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][10] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][11] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][12] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][13] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][14] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][15] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][16] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][17] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][18] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][19] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][20] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][21] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][22] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][23] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][24] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][25] = { 910, 2083, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][26] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][27] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][28] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][29] = { 910, 2083, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][30] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][31] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][32] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][33] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][34] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][35] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][36] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][37] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][38] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][39] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][40] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][41] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][42] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][43] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][44] = { 911, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][46] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][47] = { 894, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][48] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][49] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][50] = { 894, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][51] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][53] = { 768, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][54] = { 768, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][55] = { 768, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][56] = { 768, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][57] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][58] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][59] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][60] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][61] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][62] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][63] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][64] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][65] = { 910, 2083, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][66] = { 2051, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][67] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][68] = { 2048, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][69] = { 910, 2083, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][70] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][71] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][72] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][73] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][74] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][75] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][76] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][77] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][78] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][79] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][80] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][81] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][82] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][83] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][84] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][85] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][86] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][87] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][88] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][89] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][90] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][91] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][92] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][93] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][94] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][95] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][96] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[39][97] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][0] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][1] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][2] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][3] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][4] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][5] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][6] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][7] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][8] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][9] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][10] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][11] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][12] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][13] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][14] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][15] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][16] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][17] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][18] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][19] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][20] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][21] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][22] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][23] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][24] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][25] = { 926, 2083, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][26] = { 926, 2129, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][27] = { 926, 2129, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][28] = { 926, 2129, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][29] = { 926, 2083, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][30] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][31] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][32] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][33] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][34] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][35] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][36] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][37] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][38] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][39] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][40] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][41] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][42] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][43] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][44] = { 927, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][46] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][47] = { 894, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][48] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][49] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][50] = { 894, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][51] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][53] = { 768, 925, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][54] = { 768, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][55] = { 768, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][56] = { 768, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][57] = { 768, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][58] = { 768, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][59] = { 768, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][60] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][61] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][62] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][63] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][64] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][65] = { 926, 2083, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][66] = { 2129, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][67] = { 2129, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][68] = { 2129, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][69] = { 926, 2083, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][70] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][71] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][72] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][73] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][74] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][75] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][76] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][77] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][78] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][79] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][80] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][81] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][82] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][83] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][84] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][85] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][86] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][87] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][88] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][89] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][90] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][91] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][92] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][93] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][94] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][95] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][96] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[40][97] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][0] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][1] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][2] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][3] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][4] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][5] = { 942, -1, -1, 1606, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][6] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][7] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][8] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][9] = { 942, -1, -1, 2146, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][10] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][11] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][12] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][13] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][14] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][15] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][16] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][17] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][18] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][19] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][20] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][21] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][22] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][23] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][24] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][25] = { 942, 2082, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][26] = { 942, 2145, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][27] = { 942, 2145, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][28] = { 942, 2145, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][29] = { 942, 2082, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][30] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][31] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][32] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][33] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][34] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][35] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][36] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][37] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][38] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][39] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][40] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][41] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][42] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][43] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][44] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][45] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][46] = { 894, 512, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][47] = { 894, 532, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][48] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][49] = { 894, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][50] = { 894, 531, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][51] = { 894, 514, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][52] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][53] = { 768, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][54] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][55] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][56] = { 768, 942, -1, 2131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][57] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][58] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][59] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][60] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][61] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][62] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][63] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][64] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][65] = { 942, 2082, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][66] = { 2145, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][67] = { 2145, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][68] = { 2145, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][69] = { 942, 2082, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][70] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][71] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][72] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][73] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][74] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][75] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][76] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][77] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][78] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][79] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][80] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][81] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][82] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][83] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][84] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][85] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][86] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][87] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][88] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][89] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][90] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][91] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][92] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][93] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][94] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][95] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][96] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[41][97] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][0] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][1] = { 909, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][2] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][3] = { 911, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][4] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][5] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][6] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][7] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][8] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][9] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][10] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][11] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][12] = { 942, -1, -1, 2114, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][13] = { 942, -1, -1, 2115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][14] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][15] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][16] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][17] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][18] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][19] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][20] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][21] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][22] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][23] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][24] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][25] = { 942, 2081, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][26] = { 942, 2161, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][27] = { 942, 2161, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][28] = { 942, 2161, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][29] = { 942, 2081, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][30] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][31] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][32] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][33] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][34] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][35] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][36] = { 942, -1, -1, 2147, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][37] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][38] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][39] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][40] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][41] = { 942, -1, -1, 2114, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][42] = { 942, -1, -1, 2115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][43] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][44] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][45] = { 894, -1, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][46] = { 894, 528, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][47] = { 768, 529, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][48] = { 768, 529, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][49] = { 768, 529, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][50] = { 768, 529, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][51] = { 894, 530, -1, 384, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][52] = { 894, -1, -1, 385, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][53] = { 768, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][54] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][55] = { 768, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][56] = { 768, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][57] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][58] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][59] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][60] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][61] = { 942, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][62] = { 942, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][63] = { 942, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][64] = { 942, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][65] = { 942, 2081, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][66] = { 2161, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][67] = { 2161, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][68] = { 2161, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][69] = { 942, 2081, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][70] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][71] = { 942, -1, -1, 2131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][72] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][73] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][74] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][75] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][76] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][77] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][78] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][79] = { 942, -1, -1, 2162, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][80] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][81] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][82] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][83] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][84] = { 942, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][85] = { 942, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][86] = { 942, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][87] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][88] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][89] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][90] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][91] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][92] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][93] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][94] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][95] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][96] = { 942, -1, -1, 971, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[42][97] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][0] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][1] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][2] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][3] = { 927, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][4] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][5] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][6] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][7] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][8] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][9] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][10] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][11] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][12] = { 942, -1, -1, 2130, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][13] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][14] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][15] = { 942, -1, -1, 971, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][16] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][17] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][18] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][19] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][20] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][21] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][22] = { 942, -1, -1, 2131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][23] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][24] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][25] = { 893, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][26] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][27] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][28] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][29] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][30] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][31] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][32] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][33] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][34] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][35] = { 895, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][36] = { 942, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][37] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][38] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][39] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][40] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][41] = { 942, -1, -1, 2130, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][42] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][43] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][44] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][45] = { 894, -1, -1, 704, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][46] = { 529, -1, -1, 705, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][47] = { 529, -1, -1, 706, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][48] = { 768, 529, -1, 706, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][49] = { 768, 529, -1, 706, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][50] = { 768, 529, -1, 706, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][51] = { 529, -1, -1, 707, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][52] = { 894, -1, -1, 708, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][53] = { 768, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][54] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][55] = { 942, 925, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][56] = { 942, 927, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][57] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][58] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][59] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][60] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][61] = { 942, 893, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][62] = { -1, 894, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][63] = { -1, 894, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][64] = { -1, 894, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][65] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][66] = { -1, 894, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][67] = { -1, 894, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][68] = { -1, 894, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][69] = { 894, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][70] = { 942, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][71] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][72] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][73] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][74] = { 942, -1, -1, 2114, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][75] = { 942, -1, -1, 2115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][76] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][77] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][78] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][79] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][80] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][81] = { 942, -1, -1, 2131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][82] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][83] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][84] = { 942, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][85] = { 942, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][86] = { 942, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][87] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][88] = { 942, -1, -1, 2131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][89] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][90] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][91] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][92] = { 942, -1, -1, 2163, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][93] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][94] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][95] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][96] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[43][97] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][0] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][1] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][2] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][3] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][4] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][5] = { 942, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][6] = { 942, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][7] = { 942, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][8] = { 942, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][9] = { 942, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][10] = { 942, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][11] = { 942, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][12] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][13] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][14] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][15] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][16] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][17] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][18] = { 909, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][19] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][20] = { 911, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][21] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][22] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][23] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][24] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][25] = { 909, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][26] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][27] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][28] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][29] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][30] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][31] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][32] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][33] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][34] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][35] = { 911, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][36] = { 942, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][37] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][38] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][39] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][40] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][41] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][42] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][43] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][44] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][45] = { 529, -1, -1, 720, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][46] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][51] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][52] = { 529, -1, -1, 724, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][53] = { 768, 925, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][54] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][55] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][56] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][57] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][58] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][59] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][60] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][61] = { 768, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][62] = { 768, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][63] = { 768, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][64] = { 768, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][65] = { 768, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][66] = { 768, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][67] = { 768, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][68] = { 768, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][69] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][70] = { 942, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][71] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][72] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][73] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][74] = { 942, -1, -1, 2130, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][75] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][76] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][77] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][78] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][79] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][80] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][81] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][82] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][83] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][84] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][85] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][86] = { 927, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][87] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][88] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][89] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][90] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][91] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][92] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][93] = { 909, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][94] = { 910, -1, -1, 1003, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][95] = { 911, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][96] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[44][97] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][0] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][1] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][2] = { 942, -1, -1, 1003, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][3] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][4] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][5] = { 942, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][6] = { 942, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][7] = { 942, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][8] = { 942, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][9] = { 942, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][10] = { 942, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][11] = { 942, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][12] = { 942, 878, -1, 1022, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][13] = { 942, 878, -1, 1023, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][14] = { 942, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][15] = { 942, 879, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][16] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][17] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][18] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][19] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][20] = { 927, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][21] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][22] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][23] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][24] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][25] = { 925, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][26] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][27] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][28] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][29] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][30] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][31] = { 926, 519, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][32] = { 926, 520, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][33] = { 926, 521, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][34] = { 926, 522, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][35] = { 927, 943, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][36] = { 942, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][37] = { 942, -1, -1, 2162, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][38] = { 942, -1, -1, 2163, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][39] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][40] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][41] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][42] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][43] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][44] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][45] = { 529, 736, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][46] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][47] = { 529, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][51] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][52] = { 529, 740, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][53] = { 768, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][54] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][55] = { 942, -1, -1, 2114, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][56] = { 942, -1, -1, 2115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][57] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][58] = { 942, -1, -1, 2146, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][59] = { 942, -1, -1, 2147, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][60] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][61] = { 768, 925, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][62] = { 768, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][63] = { 768, 519, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][64] = { 768, 520, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][65] = { 768, 521, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][66] = { 768, 522, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][67] = { 768, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][68] = { 768, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][69] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][70] = { 942, 927, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][71] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][72] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][73] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][74] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][75] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][76] = { 942, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][77] = { 942, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][78] = { 942, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][79] = { 942, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][80] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][81] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][82] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][83] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][84] = { 941, -1, -1, 2162, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][85] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][86] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][87] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][88] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][89] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][90] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][91] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][92] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][93] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][94] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][95] = { 927, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][96] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[45][97] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][0] = { 941, -1, -1, 288, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][1] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][2] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][3] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][4] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][5] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][6] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][7] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][8] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][9] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][10] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][11] = { 927, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][12] = { 942, 909, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][13] = { 942, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][14] = { 942, 910, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][15] = { 942, 911, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][16] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][17] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][18] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][19] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][20] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][21] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][22] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][23] = { 942, -1, -1, 971, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][24] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][25] = { 942, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][26] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][27] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][28] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][29] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][30] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][31] = { 519, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][32] = { 520, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][33] = { 521, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][34] = { 522, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][35] = { 942, 943, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][36] = { 942, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][37] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][38] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][39] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][40] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][41] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][42] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][43] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][44] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][45] = { 529, 752, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][46] = { 768, 516, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][51] = { 768, 515, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][52] = { 529, 756, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][53] = { 768, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][54] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][55] = { 942, -1, -1, 2130, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][56] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][57] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][58] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][59] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][60] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][61] = { 768, 941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][62] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][63] = { 768, 519, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][64] = { 768, 520, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][65] = { 768, 521, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][66] = { 768, 522, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][67] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][68] = { 768, 942, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][69] = { 768, 943, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][70] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][71] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][72] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][73] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][74] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][75] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][76] = { 942, 925, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][77] = { 942, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][78] = { 942, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][79] = { 942, 927, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][80] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][81] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][82] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][83] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][84] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][85] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][86] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][87] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][88] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][89] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][90] = { 942, -1, -1, 987, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][91] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][92] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][93] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][94] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][95] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][96] = { 942, 877, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[46][97] = { 942, 878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][0] = { 768, 957, -1, 288, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][1] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][2] = { 769, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][3] = { 770, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][4] = { 771, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][5] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][6] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][7] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][8] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][9] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][10] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][11] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][12] = { 942, 925, -1, 2163, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][13] = { 942, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][14] = { 942, 926, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][15] = { 943, 927, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][16] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][17] = { 769, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][18] = { 770, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][19] = { 771, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][20] = { 769, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][21] = { 770, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][22] = { 771, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][23] = { 769, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][24] = { 770, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][25] = { 771, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][26] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][27] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][28] = { 769, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][29] = { 770, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][30] = { 771, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][31] = { 519, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][32] = { 520, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][33] = { 521, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][34] = { 522, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][35] = { 768, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][36] = { 768, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][37] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][38] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][39] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][40] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][41] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][42] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][43] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][44] = { 768, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][53] = { 768, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][54] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][55] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][56] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][57] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][58] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][59] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][60] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][61] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][62] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][63] = { 768, 535, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][64] = { 768, 536, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][65] = { 768, 537, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][66] = { 768, 538, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][67] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][68] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][69] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][70] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][71] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][72] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][73] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][74] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][75] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][76] = { 769, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][77] = { 770, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][78] = { 771, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][79] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][80] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][81] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][82] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][83] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][84] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][85] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][86] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][87] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][88] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][89] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][90] = { 769, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][91] = { 770, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][92] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][93] = { 769, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][94] = { 770, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][95] = { 771, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][96] = { 909, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[47][97] = { 910, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][1] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][2] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][3] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][4] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][5] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][6] = { 942, -1, -1, 987, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][7] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][8] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][9] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][10] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][11] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][12] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][13] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][14] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][15] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][16] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][17] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][18] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][19] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][20] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][21] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][22] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][23] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][24] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][25] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][27] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][28] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][29] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][30] = { 787, 512, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][31] = { 529, 551, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][32] = { 529, 552, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][33] = { 529, 553, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][34] = { 529, 554, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][35] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][36] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][37] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][38] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][39] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][40] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][41] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][42] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][43] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][44] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][45] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][46] = { 768, 532, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][51] = { 768, 531, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][52] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][53] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][54] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][55] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][56] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][57] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][58] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][59] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][60] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][61] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][62] = { 768, 513, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][63] = { 529, 551, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][64] = { 529, 552, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][65] = { 529, 553, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][66] = { 529, 554, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][67] = { 768, 514, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][68] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][69] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][70] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][72] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][73] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][74] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][75] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][76] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][77] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][78] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][79] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][80] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][81] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][83] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][84] = { 770, 957, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][85] = { 771, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][86] = { 768, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][87] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][88] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][89] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][90] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][91] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][92] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][93] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][94] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][95] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][96] = { 925, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[48][97] = { 926, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][1] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][2] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][3] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][4] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][5] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][6] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][7] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][8] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][9] = { 942, -1, -1, 2147, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][10] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][11] = { 943, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][12] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][13] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][14] = { 768, 958, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][15] = { 768, 959, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][16] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][17] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][18] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][19] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][20] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][21] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][22] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][23] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][24] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][25] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][27] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][28] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][29] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][30] = { 803, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][31] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][32] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][33] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][34] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][35] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][36] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][37] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][38] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][39] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][40] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][41] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][42] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][43] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][44] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][45] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][46] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][51] = { 529, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][52] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][53] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][54] = { 768, 547, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][55] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][56] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][57] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][58] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][59] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][60] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][61] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][62] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][63] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][64] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][65] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][66] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][67] = { 784, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][68] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][69] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][70] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][71] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][72] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][73] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][74] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][75] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][76] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][77] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][78] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][79] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][80] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][81] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][82] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][83] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][84] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][85] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][86] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][87] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][88] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][89] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][90] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][91] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][92] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][93] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][94] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][95] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][96] = { 941, -1, -1, 2131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[49][97] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][1] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][2] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][3] = { 818, -1, -1, 1025, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[50][4] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][5] = { 768, 957, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][6] = { 768, 958, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][7] = { 768, 958, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][8] = { 768, 958, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][9] = { 768, 958, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][10] = { 768, 958, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][11] = { 768, 959, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][12] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][13] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][14] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][15] = { 768, -1, -1, 1033, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][16] = { 816, -1, -1, 1034, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[50][17] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][18] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][19] = { 819, -1, -1, 1025, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[50][20] = { 817, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][21] = { 818, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][22] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][23] = { 817, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][24] = { 818, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][25] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][26] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][27] = { 816, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][28] = { 817, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][29] = { 818, -1, -1, 1033, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[50][30] = { 819, 544, -1, 1034, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[50][31] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][32] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][33] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][34] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][35] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][36] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][37] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][38] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][39] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][40] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][41] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][42] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][43] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][44] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][45] = { 768, 545, -1, 1679, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][46] = { 768, 516, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][51] = { 768, 515, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][52] = { 768, 545, -1, 1679, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][53] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][54] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][55] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][56] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][57] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][58] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][59] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][60] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][61] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][62] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][63] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][64] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][65] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][66] = { 768, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][67] = { 800, 546, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][68] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][69] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][70] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][71] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][72] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][73] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][74] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][75] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][76] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][77] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][78] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][79] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][80] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][81] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][82] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][83] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][84] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][85] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][86] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][87] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][88] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][89] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][90] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][91] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][92] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][93] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][94] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][95] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][96] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[50][97] = { 942, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][2] = { 768, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][3] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[51][4] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][5] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][6] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][7] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][8] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][9] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][10] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][11] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][12] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][13] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][14] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][15] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][16] = { 768, 1050, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[51][17] = { 816, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][18] = { 817, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][19] = { 818, 1041, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[51][20] = { 819, 1042, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][21] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][22] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][23] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][24] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][25] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][26] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][27] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][28] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][29] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[51][30] = { 768, 1050, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[51][31] = { 768, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][37] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][39] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][40] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][41] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][45] = { 768, -1, -1, 1695, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][52] = { 768, -1, -1, 1695, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][54] = { 768, -1, -1, 1025, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][55] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][56] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][57] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][58] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][59] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][60] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][61] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][62] = { 768, -1, -1, 1033, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][63] = { 768, -1, -1, 1034, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][66] = { 768, -1, -1, 1025, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][67] = { 816, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][68] = { 817, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][69] = { 818, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][70] = { 819, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][71] = { 816, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][72] = { 817, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][73] = { 818, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][74] = { 819, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][75] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][76] = { 800, -1, -1, 1033, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][77] = { 801, -1, -1, 1034, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][78] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][79] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][80] = { 818, -1, -1, 1025, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[51][81] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, 192, -1 }
map_tiles[51][82] = { 816, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][83] = { 817, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][84] = { 818, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][85] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][86] = { 816, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][87] = { 817, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][88] = { 818, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][89] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][90] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][91] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][92] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][93] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][94] = { 768, -1, -1, 1033, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[51][95] = { 768, -1, -1, 1034, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[51][96] = { 941, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[51][97] = { 942, -1, -1, 290, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][2] = { 769, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][3] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[52][4] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][5] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][6] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][7] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][8] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][9] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][10] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][11] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][12] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][13] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][14] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][15] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][16] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[52][17] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][18] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][19] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[52][20] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][21] = { 768, 1059, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][22] = { 768, 1060, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][23] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][24] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][25] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][26] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][27] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][28] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][29] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[52][30] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[52][31] = { 1593, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][32] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][33] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][34] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][35] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][36] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][37] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][38] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][39] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][40] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][41] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][42] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][43] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][44] = { 1594, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][45] = { 1594, 1711, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][46] = { 1595, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][52] = { 768, 1711, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][53] = { 768, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][54] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[52][55] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][56] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][57] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][58] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][59] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][60] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][61] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][62] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][63] = { 768, 1050, -1, -1, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[52][64] = { 768, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][65] = { 768, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][66] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[52][67] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][68] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][69] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][70] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][71] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][72] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][73] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][74] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][75] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][76] = { 816, 1049, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[52][77] = { 817, 1050, -1, -1, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[52][78] = { 818, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][79] = { 819, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][80] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[52][81] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1337, -1, 208, -1 }
map_tiles[52][82] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1337, -1, 2512, -1 }
map_tiles[52][83] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[52][84] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[52][85] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[52][86] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[52][87] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[52][88] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, 0, -1, -1 }
map_tiles[52][89] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, 1, -1, -1 }
map_tiles[52][90] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, 2746, -1, -1 }
map_tiles[52][91] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, 2747, -1, -1 }
map_tiles[52][92] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, 2748, -1, -1 }
map_tiles[52][93] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[52][94] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[52][95] = { 768, 1050, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[52][96] = { 769, 957, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[52][97] = { 770, 958, -1, 290, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][1] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][2] = { 785, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][3] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[53][4] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][5] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][6] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][7] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][8] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][9] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][10] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][11] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][12] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][13] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][14] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][15] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][16] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[53][17] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][18] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][19] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[53][20] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][21] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][22] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][23] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][24] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][25] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][26] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][27] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][28] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[53][29] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[53][30] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[53][31] = { 1609, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][32] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][33] = { 1541, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][34] = { 1542, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][35] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][36] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][37] = { 1561, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][38] = { 1562, 987, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][39] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][40] = { 1546, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][41] = { 1544, 1003, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][42] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][43] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][44] = { 1545, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][45] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][46] = { 1610, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][53] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][54] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[53][55] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][56] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][57] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][58] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][59] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][60] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][61] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][62] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][63] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[53][64] = { 768, 1587, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][65] = { 768, 1588, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][66] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[53][67] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][68] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][69] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][70] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][71] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][72] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][73] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][74] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][75] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][76] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[53][77] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[53][78] = { 768, 1587, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][79] = { 768, 1588, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][80] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[53][81] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, 224, -1 }
map_tiles[53][82] = { 768, 1059, -1, -1, -2, -2, -1, -2, 1353, 146, 2552, -1 }
map_tiles[53][83] = { 768, 1060, -1, -1, -2, -2, -1, -2, 1353, 162, -1, -1 }
map_tiles[53][84] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, 162, -1, -1 }
map_tiles[53][85] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, 162, 2373, -1 }
map_tiles[53][86] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, 162, 2339, -1 }
map_tiles[53][87] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, 147, 2337, -1 }
map_tiles[53][88] = { 768, 1063, -1, -1, -2, -2, -1, -2, 16, -1, -1, -1 }
map_tiles[53][89] = { 768, 1064, -1, -1, -2, -2, -1, -2, 17, -1, -1, -1 }
map_tiles[53][90] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, 2762, -1, -1 }
map_tiles[53][91] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, 2763, -1, -1 }
map_tiles[53][92] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, 2764, -1, -1 }
map_tiles[53][93] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[53][94] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[53][95] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[53][96] = { 785, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[53][97] = { 786, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][1] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][2] = { 801, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][3] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[54][4] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][5] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][6] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][7] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][8] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][9] = { 768, 1059, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][10] = { 768, 1060, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][11] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][12] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][13] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][14] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][15] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][16] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[54][17] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][18] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][19] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[54][20] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][21] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][22] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][23] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][24] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][25] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][26] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][27] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][28] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[54][29] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[54][30] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[54][31] = { 1609, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][32] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][33] = { 1543, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][34] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][35] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][36] = { 1546, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][37] = { 1577, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][38] = { 1578, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][39] = { 1544, -1, -1, 1771, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][40] = { 1544, -1, -1, 1772, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][41] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][42] = { 1561, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][43] = { 1562, -1, -1, 1691, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][44] = { 1545, 1589, -1, 1692, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][45] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][46] = { 1610, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][53] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][54] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[54][55] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][56] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][57] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][58] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][59] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][60] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][61] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][62] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][63] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[54][64] = { 1584, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][65] = { 1585, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][66] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[54][67] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][68] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][69] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][70] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][71] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][72] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][73] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][74] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][75] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][76] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[54][77] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[54][78] = { 1549, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][79] = { 1581, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][80] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[54][81] = { 768, 1058, -1, -1, -2, -2, -1, -2, 240, -1, -1, -1 }
map_tiles[54][82] = { 768, 1045, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[54][83] = { 768, 1046, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[54][84] = { 768, 1045, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[54][85] = { 768, 1046, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[54][86] = { 768, 1047, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[54][87] = { 768, 1048, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[54][88] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1370, 32, -1, -1 }
map_tiles[54][89] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, 33, -1, -1 }
map_tiles[54][90] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1370, 2778, -1, -1 }
map_tiles[54][91] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1369, 2779, -1, -1 }
map_tiles[54][92] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1370, 2780, -1, -1 }
map_tiles[54][93] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1369, 1329, -1, -1 }
map_tiles[54][94] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1330, -1, -1, -1 }
map_tiles[54][95] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1283, 1375, -1, -1 }
map_tiles[54][96] = { 801, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[54][97] = { 802, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][1] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][2] = { 817, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][3] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[55][4] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][5] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][6] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][7] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][8] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][9] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][10] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][11] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][12] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][13] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][14] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][15] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][16] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[55][17] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][18] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][19] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[55][20] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][21] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][22] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][23] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][24] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][25] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][26] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][27] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][28] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][29] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][30] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[55][31] = { 1609, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][32] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][33] = { 1579, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][34] = { 1544, 971, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][35] = { 1544, -1, -1, 972, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][36] = { 1545, -1, -1, 973, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][37] = { 1543, -1, -1, 974, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][38] = { 1547, -1, -1, 975, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][39] = { 1545, 1787, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][40] = { 1546, 1788, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][41] = { 1547, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][42] = { 1577, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][43] = { 1578, 1707, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][44] = { 1545, 1708, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][45] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][46] = { 1610, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][53] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][54] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[55][55] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][56] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][57] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][58] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][59] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][60] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][61] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][62] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][63] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[55][64] = { 1553, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][65] = { 1585, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][66] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[55][67] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][68] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][69] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][70] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][71] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][72] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][73] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][74] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][75] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[55][76] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[55][77] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[55][78] = { 1583, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][79] = { 1583, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][80] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[55][81] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[55][82] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, 96, -1 }
map_tiles[55][83] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, 97, -1 }
map_tiles[55][84] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, 98, -1 }
map_tiles[55][85] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, 226, -1 }
map_tiles[55][86] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[55][87] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[55][88] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[55][89] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[55][90] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[55][91] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[55][92] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[55][93] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1385, 1345, -1, -1 }
map_tiles[55][94] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1346, -1, -1, -1 }
map_tiles[55][95] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1299, 1391, -1, -1 }
map_tiles[55][96] = { 817, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[55][97] = { 818, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][2] = { 769, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][3] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[56][4] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][5] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][6] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][7] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][8] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][9] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][10] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][11] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][12] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][13] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][14] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][15] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][16] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[56][17] = { 768, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][18] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][19] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[56][20] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][21] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][22] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][23] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][24] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][25] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][26] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][27] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][28] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][29] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][30] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[56][31] = { 1609, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][32] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][33] = { 1543, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][34] = { 1546, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][35] = { 1544, -1, -1, 988, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][36] = { 1544, -1, -1, 989, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][37] = { 1545, -1, -1, 990, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][38] = { 1545, -1, -1, 991, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][39] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][40] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][41] = { 1545, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][42] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][43] = { 1543, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][44] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][45] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][46] = { 1610, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][53] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][54] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[56][55] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][56] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][57] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][58] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][59] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][60] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][61] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][62] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][63] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[56][64] = { 1584, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][65] = { 1586, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][66] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[56][67] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][68] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][69] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][70] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][71] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][72] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][73] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][74] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][75] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[56][76] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[56][77] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[56][78] = { 1565, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][79] = { 1550, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][80] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[56][81] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[56][82] = { 768, 1075, -1, -1, -2, -2, -1, -2, 112, -1, 2342, -1 }
map_tiles[56][83] = { 768, 1076, -1, -1, -2, -2, -1, -2, 113, -1, 2331, -1 }
map_tiles[56][84] = { 768, 1077, -1, -1, -2, -2, -1, -2, 114, -1, 2346, 2340 }
map_tiles[56][85] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1369, 242, 2638, -1 }
map_tiles[56][86] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[56][87] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[56][88] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[56][89] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[56][90] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[56][91] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[56][92] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[56][93] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[56][94] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[56][95] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[56][96] = { 769, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[56][97] = { 770, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][1] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][2] = { 785, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][3] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[57][4] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][5] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][6] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][7] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][8] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][9] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][10] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][11] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][12] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][13] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][14] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][15] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][16] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[57][17] = { 768, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][18] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][19] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[57][20] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][21] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][22] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][23] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][24] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][25] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][26] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][27] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][28] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][29] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][30] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[57][31] = { 1609, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][32] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][33] = { 1543, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][34] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][35] = { 1544, -1, -1, 1004, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][36] = { 1541, 1005, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][37] = { 1542, 1605, -1, 1006, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][38] = { 1543, -1, -1, 1007, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][39] = { 1544, 1622, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][40] = { 1545, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][41] = { 1545, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][42] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][43] = { 1543, -1, -1, 1773, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][44] = { 1544, -1, -1, 1774, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][45] = { 1610, 1619, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][46] = { 1610, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][53] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][54] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[57][55] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][56] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][57] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][58] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][59] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][60] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][61] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][62] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][63] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[57][64] = { 1553, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][65] = { 1585, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][66] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[57][67] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][68] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][69] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][70] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][71] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][72] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][73] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][74] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][75] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[57][76] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[57][77] = { 1566, 1114, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[57][78] = { 1565, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][79] = { 1550, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][80] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[57][81] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[57][82] = { 768, 1091, -1, -1, -2, -2, -1, -2, 112, -1, 2369, -1 }
map_tiles[57][83] = { 768, 1092, -1, -1, -2, -2, -1, -2, 113, -1, 2367, -1 }
map_tiles[57][84] = { 768, 1093, -1, -1, -2, -2, -1, -2, 114, -1, 2343, 2336 }
map_tiles[57][85] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1385, 2654, -1, -1 }
map_tiles[57][86] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[57][87] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[57][88] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[57][89] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[57][90] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[57][91] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[57][92] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[57][93] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[57][94] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[57][95] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[57][96] = { 785, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[57][97] = { 786, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][1] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][2] = { 801, -1, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][3] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[58][4] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][5] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][6] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[58][7] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[58][8] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][9] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][10] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][11] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][12] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][13] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][14] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][15] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][16] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[58][17] = { 768, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][18] = { 768, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][19] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[58][20] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][21] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][22] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][23] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][24] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][25] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][26] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][27] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][28] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][29] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][30] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[58][31] = { 1609, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][32] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][33] = { 1579, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][34] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][35] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][36] = { 1557, 1021, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][37] = { 1558, 1621, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][38] = { 1559, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][39] = { 1560, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][40] = { 1546, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][41] = { 1547, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][42] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][43] = { 1543, 1789, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][44] = { 1544, 1790, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][45] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][46] = { 1610, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][53] = { 768, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][54] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[58][55] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][56] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][57] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][58] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][59] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][60] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][61] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][62] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][63] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[58][64] = { 1584, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][65] = { 1586, -1, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][66] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[58][67] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][68] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][69] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][70] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][71] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][72] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][73] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][74] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][75] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[58][76] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[58][77] = { 1566, 1130, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[58][78] = { 1549, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][79] = { 1551, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][80] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[58][81] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[58][82] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, 128, -1, -1 }
map_tiles[58][83] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1369, 129, -1, -1 }
map_tiles[58][84] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1370, 130, -1, -1 }
map_tiles[58][85] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[58][86] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[58][87] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[58][88] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[58][89] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[58][90] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[58][91] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[58][92] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[58][93] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, 48, -1, -1 }
map_tiles[58][94] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, 49, -1, -1 }
map_tiles[58][95] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[58][96] = { 769, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[58][97] = { 770, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][2] = { 776, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][3] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[59][4] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][5] = { 768, 1140, -1, -1, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[59][6] = { 768, 1141, -1, -1, -2, -2, -1, -2, 1381, -1, -1, -1 }
map_tiles[59][7] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1397, -1, -1, -1 }
map_tiles[59][8] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[59][9] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][10] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][11] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][12] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][13] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][14] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][15] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][16] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1369, 1407, -1, -1 }
map_tiles[59][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][18] = { 768, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][19] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[59][20] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][21] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][22] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][23] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][24] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][25] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][26] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][27] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][28] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][29] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][30] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[59][31] = { 1609, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][32] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][33] = { 1543, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][34] = { 1544, 1003, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][35] = { 1544, 1623, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][36] = { 1573, 1624, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][37] = { 1574, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][38] = { 1575, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][39] = { 1576, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][40] = { 1545, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][41] = { 1545, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][42] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][43] = { 1543, 1791, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][44] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][45] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][46] = { 1610, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][53] = { 768, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][54] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[59][55] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][56] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][57] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][58] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][59] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][60] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][61] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][62] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][63] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[59][64] = { 1553, 1587, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][65] = { 1585, 1588, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][66] = { 768, 1137, -1, 1732, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[59][67] = { 768, 1138, -1, 1733, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][68] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][69] = { 768, 1140, -1, 1164, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][70] = { 768, 1141, -1, 1165, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[59][71] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[59][72] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][73] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][74] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][75] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[59][76] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[59][77] = { 1566, 1146, -1, -1, -2, -2, -1, -2, 1369, 1407, -1, -1 }
map_tiles[59][78] = { 1549, 1587, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][79] = { 1551, 1588, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][80] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[59][81] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, 2349, -1, -1 }
map_tiles[59][82] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[59][83] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[59][84] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[59][85] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[59][86] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[59][87] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[59][88] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[59][89] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[59][90] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[59][91] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[59][92] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[59][93] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, 64, -1, -1 }
map_tiles[59][94] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, 65, -1, -1 }
map_tiles[59][95] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[59][96] = { 785, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[59][97] = { 786, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][1] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][2] = { 792, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][3] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[60][4] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[60][5] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[60][6] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1415 }
map_tiles[60][7] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1365, -1, -1, 1416 }
map_tiles[60][8] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1417, -1, -1, -1 }
map_tiles[60][9] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[60][10] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[60][11] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1420, -1, -1, -1 }
map_tiles[60][12] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1421, -1, -1, -1 }
map_tiles[60][13] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[60][14] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[60][15] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[60][16] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[60][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][18] = { 768, -1, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][19] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[60][20] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[60][21] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[60][22] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[60][23] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[60][24] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[60][25] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[60][26] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[60][27] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[60][28] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[60][29] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[60][30] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[60][31] = { 1609, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][32] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][33] = { 1546, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][34] = { 1575, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][35] = { 1576, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][36] = { 1545, -1, -1, 1771, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][37] = { 1545, -1, -1, 1772, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][38] = { 1545, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][39] = { 1561, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][40] = { 1562, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][41] = { 1545, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][42] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][43] = { 1543, -1, -1, 1691, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][44] = { 1544, -1, -1, 1692, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][45] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][46] = { 1610, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][48] = { 768, 547, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][53] = { 768, -1, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][54] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[60][55] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[60][56] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[60][57] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[60][58] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[60][59] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[60][60] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[60][61] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[60][62] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[60][63] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[60][64] = { 768, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][66] = { 768, 1153, -1, 1748, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[60][67] = { 768, 1154, -1, 1749, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[60][68] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[60][69] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[60][70] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1365, -1, -1, 1415 }
map_tiles[60][71] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1416 }
map_tiles[60][72] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[60][73] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[60][74] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1420, -1, -1, -1 }
map_tiles[60][75] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1421, -1, -1, -1 }
map_tiles[60][76] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[60][77] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[60][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][80] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[60][81] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, 2317, -1, -1 }
map_tiles[60][82] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[60][83] = { 768, 1140, -1, -1, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[60][84] = { 768, 1141, -1, -1, -2, -2, -1, -2, 1381, -1, -1, -1 }
map_tiles[60][85] = { 768, 1142, -1, 1164, -2, -2, -1, -2, 1365, -1, -1, -1 }
map_tiles[60][86] = { 768, 1143, -1, 1165, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[60][87] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[60][88] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[60][89] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[60][90] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[60][91] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[60][92] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[60][93] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, 80, -1, -1 }
map_tiles[60][94] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, 81, -1, -1 }
map_tiles[60][95] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1369, 1407, -1, -1 }
map_tiles[60][96] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[60][97] = { 802, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][1] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][2] = { 808, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][19] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[61][20] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[61][21] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[61][22] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[61][23] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[61][24] = { 768, 1140, -1, -1, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[61][25] = { 768, 1141, -1, -1, -2, -2, -1, -2, 1397, -1, -1, -1 }
map_tiles[61][26] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1381, -1, -1, -1 }
map_tiles[61][27] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[61][28] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[61][29] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[61][30] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1369, 1407, -1, -1 }
map_tiles[61][31] = { 1609, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][32] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][33] = { 1543, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][34] = { 1579, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][35] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][36] = { 1545, 1787, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][37] = { 1544, 1788, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][38] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][39] = { 1577, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][40] = { 1578, 1022, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][41] = { 1544, 1023, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][42] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][43] = { 1543, 1707, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][44] = { 1544, 1708, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][45] = { 1610, 1590, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][46] = { 1610, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][54] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[61][55] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[61][56] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[61][57] = { 768, 1140, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[61][58] = { 768, 1141, -1, -1, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[61][59] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[61][60] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[61][61] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[61][62] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[61][63] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1369, 1407, -1, -1 }
map_tiles[61][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][65] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][66] = { 770, 1764, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][67] = { 771, 1765, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][68] = { 768, 1717, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][73] = { 768, 1775, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][80] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[61][81] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[61][82] = { 768, 1155, -1, 1742, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[61][83] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[61][84] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1365, -1, -1, 1415 }
map_tiles[61][85] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1397, -1, -1, 1416 }
map_tiles[61][86] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1417, -1, -1, -1 }
map_tiles[61][87] = { 768, 1160, -1, 1742, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[61][88] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[61][89] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1417, -1, -1, -1 }
map_tiles[61][90] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[61][91] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[61][92] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1420, -1, -1, -1 }
map_tiles[61][93] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1421, -1, -1, -1 }
map_tiles[61][94] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[61][95] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[61][96] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[61][97] = { 770, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][1] = { 772, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][2] = { 822, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][13] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][14] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][15] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][16] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][19] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[62][20] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[62][21] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1420, -1, -1, -1 }
map_tiles[62][22] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1421, -1, -1, -1 }
map_tiles[62][23] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[62][24] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[62][25] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1397, -1, -1, 1415 }
map_tiles[62][26] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1365, -1, -1, 1416 }
map_tiles[62][27] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1417, -1, -1, -1 }
map_tiles[62][28] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[62][29] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[62][30] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[62][31] = { 1609, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][32] = { 1610, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][33] = { 1543, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][34] = { 1544, 987, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][35] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][36] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][37] = { 1544, 1622, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][38] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][39] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][40] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][41] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][42] = { 1544, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][43] = { 1543, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][44] = { 1544, 1618, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][45] = { 1610, 1620, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][46] = { 1610, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][54] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[62][55] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[62][56] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[62][57] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[62][58] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1415 }
map_tiles[62][59] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1397, -1, -1, 1416 }
map_tiles[62][60] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1420, -1, -1, -1 }
map_tiles[62][61] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1421, -1, -1, -1 }
map_tiles[62][62] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[62][63] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[62][64] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][65] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][66] = { 786, 1780, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][67] = { 787, 1781, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][68] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][69] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][73] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][77] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][78] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][81] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][82] = { 770, 1758, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][83] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][85] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][86] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][87] = { 771, 1758, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][89] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][90] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][91] = { 771, 1724, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][92] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][93] = { 770, 1727, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][94] = { 771, 1979, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][95] = { 770, 1980, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][96] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[62][97] = { 786, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][1] = { 788, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][4] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][5] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][6] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][13] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][14] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][15] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][16] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][24] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][25] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][26] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][28] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][29] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][30] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][31] = { 1625, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][32] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][33] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][34] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][35] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][36] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][37] = { 1626, 1003, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][38] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][39] = { 1626, 971, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][40] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][41] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][42] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][43] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][44] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][45] = { 1626, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][46] = { 1627, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][52] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][53] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][54] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][55] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][56] = { 768, 1791, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][57] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][58] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][59] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][60] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][61] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][62] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][63] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][64] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][65] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][66] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][67] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][68] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][69] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][70] = { 768, -1, -1, 1025, -2, -2, -1, -2, 1301, -1, -1, -1 }
map_tiles[63][71] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1302, -1, -1, -1 }
map_tiles[63][72] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1303, -1, -1, -1 }
map_tiles[63][73] = { 768, -1, -1, 1033, -2, -2, -1, -2, 1304, -1, -1, -1 }
map_tiles[63][74] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][75] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][76] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][77] = { 768, -1, -1, 1033, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][78] = { 768, -1, -1, 1033, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][79] = { 768, -1, -1, 1034, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][80] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][81] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][82] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][83] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][84] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][85] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][86] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][87] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][88] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][89] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][90] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][91] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][92] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][93] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][94] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][95] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][96] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[63][97] = { 771, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][1] = { 804, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][3] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][4] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][5] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][6] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][13] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][14] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][15] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][16] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][18] = { 768, -1, -1, 1025, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[64][19] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][20] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][21] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][22] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][23] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][24] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][25] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][26] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][27] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][28] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][29] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][30] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][31] = { 768, -1, -1, 1033, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][32] = { 768, -1, -1, 1034, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[64][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][37] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][39] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][40] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][41] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][42] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][44] = { 768, 1622, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][52] = { 800, -1, -1, 1679, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][53] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][54] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][55] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][56] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][57] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][58] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][59] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][60] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][61] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][62] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][63] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][64] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][65] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][66] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][67] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][68] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][69] = { 787, -1, -1, 1040, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[64][70] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1317, -1, -1, -1 }
map_tiles[64][71] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1318, -1, -1, -1 }
map_tiles[64][72] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1319, -1, -1, -1 }
map_tiles[64][73] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1320, -1, -1, -1 }
map_tiles[64][74] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[64][75] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1292, -1, -1, -1 }
map_tiles[64][76] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1293, -1, -1, -1 }
map_tiles[64][77] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1294, -1, -1, -1 }
map_tiles[64][78] = { 768, 1049, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][79] = { 768, 1050, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][80] = { 800, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][81] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][82] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][83] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][84] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][85] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][86] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][87] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][88] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][89] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][90] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][91] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][92] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][93] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][94] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][95] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][96] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[64][97] = { 787, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][1] = { 820, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][3] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][4] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][5] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][6] = { 803, -1, -1, 1025, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[65][7] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][8] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][9] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][10] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][11] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][12] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][13] = { 816, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][14] = { 817, -1, -1, 1033, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][15] = { 818, -1, -1, 1034, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[65][16] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][17] = { 768, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][18] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[65][19] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][20] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][21] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][22] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][23] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][24] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][25] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][26] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][27] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][28] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][29] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][30] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][31] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[65][32] = { 768, 1050, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[65][33] = { 768, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][34] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][35] = { 768, -1, -1, 1025, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[65][36] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][37] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][38] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][39] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][40] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][41] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][42] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][43] = { 768, -1, -1, 1033, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][44] = { 768, -1, -1, 1034, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[65][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][52] = { 816, -1, -1, 1695, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][53] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][54] = { 818, -1, -1, 1793, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][55] = { 819, -1, -1, 1794, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][56] = { 800, -1, -1, 1882, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][57] = { 801, -1, -1, 1883, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][58] = { 802, -1, -1, 1796, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][59] = { 803, -1, -1, 1797, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][60] = { 800, -1, -1, 1806, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][61] = { 801, -1, -1, 1807, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][62] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][63] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][64] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][65] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][66] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][67] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][68] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][69] = { 803, -1, -1, 1056, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[65][70] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1333, -1, 2448, -1 }
map_tiles[65][71] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1334, -1, -1, -1 }
map_tiles[65][72] = { 768, 1059, -1, 1044, -2, -2, -1, -2, 1335, -1, -1, -1 }
map_tiles[65][73] = { 768, 1060, -1, 1044, -2, -2, -1, -2, 1336, -1, -1, -1 }
map_tiles[65][74] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1337, -1, 2436, -1 }
map_tiles[65][75] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1308, -1, -1, -1 }
map_tiles[65][76] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1309, -1, -1, -1 }
map_tiles[65][77] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1310, -1, -1, -1 }
map_tiles[65][78] = { 768, 1065, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][79] = { 768, 1066, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][80] = { 816, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][81] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][82] = { 818, -1, -1, 1025, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[65][83] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][84] = { 816, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][85] = { 817, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][86] = { 818, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][87] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][88] = { 816, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][89] = { 817, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][90] = { 818, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][91] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][92] = { 817, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][93] = { 818, -1, -1, 1033, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[65][94] = { 819, -1, -1, 1034, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[65][95] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][96] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[65][97] = { 803, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][1] = { 820, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][2] = { 821, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][3] = { 822, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][4] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][5] = { 818, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][6] = { 819, 1041, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[66][7] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][8] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][9] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][10] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][11] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][12] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][13] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][14] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][15] = { 768, 1050, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[66][16] = { 768, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][17] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][18] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[66][19] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][20] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][21] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][22] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][23] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][24] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][25] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][26] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][27] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][28] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][29] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][30] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][31] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][32] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[66][33] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][34] = { 768, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][35] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[66][36] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][37] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][38] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][39] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][40] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][41] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][42] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][43] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][44] = { 768, 1050, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[66][45] = { 768, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][52] = { 768, 1711, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][53] = { 833, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][54] = { 834, 1809, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][55] = { 834, 1810, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][56] = { 834, 1898, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][57] = { 834, 1899, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][58] = { 834, 1812, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][59] = { 834, 1813, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][60] = { 834, 1822, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][61] = { 834, 1823, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][62] = { 834, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][63] = { 834, 1976, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][64] = { 834, 1977, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][65] = { 834, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][66] = { 835, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][67] = { 817, -1, -1, 1918, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][68] = { 818, -1, -1, 1919, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][69] = { 819, -1, -1, 1072, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[66][70] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1349, 2304, 2464, -1 }
map_tiles[66][71] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1350, -1, -1, -1 }
map_tiles[66][72] = { 768, 1059, -1, 1044, -2, -2, -1, -2, 1351, -1, -1, -1 }
map_tiles[66][73] = { 768, 1060, -1, 1044, -2, -2, -1, -2, 1352, 148, 2441, -1 }
map_tiles[66][74] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[66][75] = { 768, 1062, -1, 1062, -2, -2, -1, -2, 1324, -1, -1, -1 }
map_tiles[66][76] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1325, -1, -1, -1 }
map_tiles[66][77] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1326, -1, -1, -1 }
map_tiles[66][78] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[66][79] = { 768, 1066, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][80] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][81] = { 768, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][82] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[66][83] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][84] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][85] = { 768, 1041, -1, 1061, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][86] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][87] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][88] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][89] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][90] = { 768, 1046, -1, 1061, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][91] = { 768, 1047, -1, 1061, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][92] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][93] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[66][94] = { 768, 1050, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[66][95] = { 817, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][96] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[66][97] = { 819, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][3] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][4] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][5] = { 771, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][6] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[67][7] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][8] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][9] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][10] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][11] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][12] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][13] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][14] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][15] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[67][16] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][17] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][18] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[67][19] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[67][20] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[67][21] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[67][22] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[67][23] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[67][24] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[67][25] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[67][26] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[67][27] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[67][28] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[67][29] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[67][30] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[67][31] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[67][32] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[67][33] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][34] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][35] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[67][36] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][37] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][38] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][39] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][40] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][41] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][42] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][43] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][44] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[67][45] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][53] = { 849, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][54] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][55] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][56] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][57] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][58] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][59] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][60] = { 850, 1838, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][61] = { 850, 1839, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][62] = { 850, 1973, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][63] = { 850, 1992, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][64] = { 850, 1993, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][65] = { 850, 2005, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][66] = { 851, -1, -1, 2020, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][67] = { 768, -1, -1, 1934, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][68] = { 768, -1, -1, 1935, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][69] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, 1364, -1, -1 }
map_tiles[67][70] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1369, 2320, -1, -1 }
map_tiles[67][71] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1370, 2334, -1, -1 }
map_tiles[67][72] = { 768, 1059, -1, 1044, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[67][73] = { 768, 1060, -1, 1044, -2, -2, -1, -2, 163, -1, -1, -1 }
map_tiles[67][74] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[67][75] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1370, 1340, -1, -1 }
map_tiles[67][76] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1341, -1, -1, -1 }
map_tiles[67][77] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1342, -1, -1, -1 }
map_tiles[67][78] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[67][79] = { 768, 1066, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][80] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][81] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][82] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[67][83] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][84] = { 768, 1059, -1, 1061, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][85] = { 768, 1057, -1, 1061, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][86] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][87] = { 768, 1059, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][88] = { 768, 1060, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][89] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][90] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][91] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][92] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][93] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[67][94] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[67][95] = { 769, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][96] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[67][97] = { 771, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][2] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][3] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][4] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][5] = { 787, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][6] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[68][7] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][8] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][9] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][10] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][11] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][12] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][13] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][14] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][15] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[68][16] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][17] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][18] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[68][19] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[68][20] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[68][21] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[68][22] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[68][23] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[68][24] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[68][25] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[68][26] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[68][27] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[68][28] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[68][29] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[68][30] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[68][31] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[68][32] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[68][33] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][34] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][35] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[68][36] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][37] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][38] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][39] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][40] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][41] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][42] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][43] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][44] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[68][45] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][53] = { 849, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][54] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][55] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][56] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][57] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][58] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][59] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][60] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][61] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][62] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][63] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][64] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][65] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][66] = { 851, 2036, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][67] = { 768, -1, -1, 1950, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][68] = { 768, -1, -1, 1951, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][69] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, 1380, -1, -1 }
map_tiles[68][70] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][71] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][72] = { 768, 1059, -1, 1046, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[68][73] = { 768, 1060, -1, 1062, -2, -2, -1, -2, 163, -1, 2433, -1 }
map_tiles[68][74] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[68][75] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1386, 2317, -1, -1 }
map_tiles[68][76] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1369, 1357, 96, -1 }
map_tiles[68][77] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1358, -1, 98, -1 }
map_tiles[68][78] = { 768, 1065, -1, -1, -2, -2, -1, -2, -1, 1359, -1, -1 }
map_tiles[68][79] = { 768, 1066, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][80] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][81] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][82] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[68][83] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][84] = { 768, 1075, -1, 1075, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][85] = { 768, 1073, -1, 1076, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][86] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][87] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][88] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][89] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][90] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][91] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][92] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[68][93] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[68][94] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[68][95] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][96] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[68][97] = { 770, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][2] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][3] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][4] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][5] = { 803, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][6] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[69][7] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][8] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][9] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][10] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][11] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][12] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][13] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][14] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][15] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[69][16] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][17] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][18] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[69][19] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[69][20] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[69][21] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[69][22] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[69][23] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[69][24] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[69][25] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[69][26] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[69][27] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[69][28] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[69][29] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[69][30] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[69][31] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[69][32] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[69][33] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][34] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][35] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[69][36] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][37] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][38] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][39] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][40] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][41] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][42] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][43] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][44] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[69][45] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][53] = { 849, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][54] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][55] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][56] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][57] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][58] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][59] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][60] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][61] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][62] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][63] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][64] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][65] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][66] = { 851, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][67] = { 768, 1966, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][68] = { 768, 1967, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][69] = { 768, 2000, -1, 1072, -2, -2, -1, -2, -1, 1348, -1, -1 }
map_tiles[69][70] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1385, -1, 162, 2359 }
map_tiles[69][71] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1386, -1, 162, -1 }
map_tiles[69][72] = { 768, 1059, -1, 1044, -2, -2, -1, -2, 1369, -1, 162, -1 }
map_tiles[69][73] = { 768, 1060, -1, 1044, -2, -2, -1, -2, 161, -1, -1, -1 }
map_tiles[69][74] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[69][75] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[69][76] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1385, 112, 2355, -1 }
map_tiles[69][77] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1369, 114, 2357, -1 }
map_tiles[69][78] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1370, -1, -1, 1391 }
map_tiles[69][79] = { 768, 1066, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][80] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][81] = { 768, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][82] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[69][83] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][84] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][85] = { 768, 1089, -1, 1096, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][86] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][87] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][88] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][89] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][90] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][91] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][92] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[69][93] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[69][94] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[69][95] = { 784, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][96] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[69][97] = { 786, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][1] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][2] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][3] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][4] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][5] = { 819, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][6] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[70][7] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][8] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][9] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][10] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][11] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][12] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][13] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][14] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][15] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[70][16] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][17] = { 768, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][18] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[70][19] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[70][20] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[70][21] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[70][22] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[70][23] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[70][24] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[70][25] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[70][26] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[70][27] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[70][28] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[70][29] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[70][30] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[70][31] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[70][32] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[70][33] = { 768, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][34] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][35] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[70][36] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][37] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][38] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][39] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][40] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][41] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][42] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][43] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][44] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[70][45] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][53] = { 849, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][54] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][55] = { 1817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][56] = { 1818, 1880, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][57] = { 1819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][58] = { 1819, 2037, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][59] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][60] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][61] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][62] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][63] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][64] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][65] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][66] = { 851, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][68] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][69] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, 1364, -1, -1 }
map_tiles[70][70] = { 768, 1057, -1, -1, -2, -2, -1, -2, 176, -1, -1, -1 }
map_tiles[70][71] = { 768, 1058, -1, -1, -2, -2, -1, -2, 177, -1, -1, -1 }
map_tiles[70][72] = { 768, 1059, -1, 1044, -2, -2, -1, -2, 177, -1, -1, -1 }
map_tiles[70][73] = { 768, 1060, -1, 1044, -2, -2, -1, -2, 179, -1, -1, -1 }
map_tiles[70][74] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[70][75] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[70][76] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1369, 128, -1, -1 }
map_tiles[70][77] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, 130, -1, -1 }
map_tiles[70][78] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1386, -1, -1, 1375 }
map_tiles[70][79] = { 768, 1066, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][80] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][81] = { 768, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][82] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[70][83] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][84] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][85] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][86] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][87] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][88] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][89] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][90] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][91] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][92] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[70][93] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[70][94] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[70][95] = { 800, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][96] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[70][97] = { 802, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][0] = { 784, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][1] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][2] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][3] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][5] = { 768, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][6] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[71][7] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][8] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][9] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][10] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][11] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][12] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][13] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][14] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][15] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[71][16] = { 768, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][17] = { 768, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][18] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[71][19] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[71][20] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[71][21] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[71][22] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[71][23] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[71][24] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[71][25] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[71][26] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[71][27] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[71][28] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[71][29] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[71][30] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[71][31] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[71][32] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[71][33] = { 768, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][34] = { 768, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][35] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[71][36] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][37] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][38] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][39] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][40] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][41] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][42] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][43] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][44] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[71][45] = { 768, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][53] = { 849, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][54] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][55] = { 1833, 1890, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][56] = { 1834, 2038, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][57] = { 1834, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][58] = { 1835, 1878, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][59] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][60] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][61] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][62] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][63] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][64] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][65] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][66] = { 851, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][68] = { 1836, 2001, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][69] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, 1380, -1, -1 }
map_tiles[71][70] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1369, 145, 2450, -1 }
map_tiles[71][71] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[71][72] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[71][73] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][74] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[71][75] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[71][76] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][77] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[71][78] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1370, -1, -1, 1391 }
map_tiles[71][79] = { 768, 1082, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][80] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][81] = { 768, -1, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][82] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[71][83] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][84] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][85] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][86] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][87] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][88] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][89] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][90] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][91] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][92] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[71][93] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[71][94] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[71][95] = { 816, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][96] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[71][97] = { 818, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][0] = { 800, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][1] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][2] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][3] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][5] = { 768, -1, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][6] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[72][7] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][8] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][9] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][10] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][11] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][12] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][13] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][14] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][15] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[72][16] = { 768, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][18] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[72][19] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[72][20] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[72][21] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[72][22] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[72][23] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[72][24] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[72][25] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[72][26] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[72][27] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[72][28] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[72][29] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[72][30] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[72][31] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[72][32] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[72][33] = { 768, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][34] = { 768, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][35] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[72][36] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][37] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][38] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][39] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][40] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][41] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][42] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][43] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][44] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[72][45] = { 768, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][53] = { 849, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][54] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][55] = { 850, 1849, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][56] = { 850, 1850, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][57] = { 850, 1850, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][58] = { 850, 1851, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][59] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][60] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][61] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][62] = { 1802, 1907, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][63] = { 1803, 1908, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][64] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][65] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][66] = { 851, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][68] = { 1836, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][69] = { 768, 1741, -1, 1088, -2, -2, -1, -2, -1, 1348, -1, -1 }
map_tiles[72][70] = { 768, 1089, -1, -1, -2, -2, -1, -2, 163, -1, 2466, -1 }
map_tiles[72][71] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[72][72] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[72][73] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[72][74] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[72][75] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[72][76] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][77] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[72][78] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, -1, -1, 1391 }
map_tiles[72][79] = { 768, 1098, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][80] = { 768, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][82] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[72][83] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][84] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][85] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][86] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][87] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][88] = { 768, 1140, -1, 1164, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[72][89] = { 768, 1141, -1, 1165, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[72][90] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[72][91] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[72][92] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[72][93] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[72][94] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1370, 1407, -1, -1 }
map_tiles[72][95] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][96] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[72][97] = { 787, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][0] = { 816, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][1] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][3] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][4] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][5] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][6] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[73][7] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[73][8] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[73][9] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[73][10] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[73][11] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[73][12] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[73][13] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[73][14] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[73][15] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[73][16] = { 768, 1785, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][17] = { 768, 1738, -1, 1002, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][18] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[73][19] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[73][20] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[73][21] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[73][22] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[73][23] = { 768, 1140, -1, -1, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[73][24] = { 768, 1141, -1, -1, -2, -2, -1, -2, 1365, -1, -1, -1 }
map_tiles[73][25] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1397, -1, -1, -1 }
map_tiles[73][26] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[73][27] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[73][28] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[73][29] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[73][30] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[73][31] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[73][32] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1370, 1407, -1, -1 }
map_tiles[73][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][34] = { 768, -1, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][35] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[73][36] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[73][37] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[73][38] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[73][39] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[73][40] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[73][41] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[73][42] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[73][43] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[73][44] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, -1 }
map_tiles[73][45] = { 768, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][50] = { 768, 547, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][53] = { 849, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][54] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][55] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][56] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][57] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][58] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][59] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][60] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][61] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][62] = { 1817, 1923, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][63] = { 1819, 1924, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][64] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][65] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][66] = { 851, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][68] = { 1836, 2018, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][69] = { 768, 1757, -1, 1104, -2, -2, -1, -2, -1, 1364, -1, -1 }
map_tiles[73][70] = { 768, 1105, -1, -1, -2, -2, -1, -2, 161, -1, 2435, -1 }
map_tiles[73][71] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[73][72] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[73][73] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[73][74] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[73][75] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[73][76] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[73][77] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[73][78] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1370, -1, -1, 1375 }
map_tiles[73][79] = { 768, 1114, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][80] = { 768, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][82] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[73][83] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[73][84] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1420, -1, -1, -1 }
map_tiles[73][85] = { 768, 1155, -1, 1773, -2, -2, -1, -2, 1421, -1, -1, -1 }
map_tiles[73][86] = { 768, 1154, -1, 1774, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[73][87] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[73][88] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[73][89] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1365, -1, -1, 1415 }
map_tiles[73][90] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1416 }
map_tiles[73][91] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1417, -1, -1, -1 }
map_tiles[73][92] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[73][93] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[73][94] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[73][95] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][96] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[73][97] = { 803, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][2] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][3] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][4] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][5] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][6] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[74][7] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[74][8] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[74][9] = { 768, 1140, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[74][10] = { 768, 1141, -1, -1, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[74][11] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[74][12] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[74][13] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[74][14] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[74][15] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1370, 1407, -1, -1 }
map_tiles[74][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][17] = { 768, 1018, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][18] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[74][19] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[74][20] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1420, -1, -1, -1 }
map_tiles[74][21] = { 768, 1154, -1, 968, -2, -2, -1, -2, 1421, -1, -1, -1 }
map_tiles[74][22] = { 768, 1155, -1, 969, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[74][23] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[74][24] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1397, -1, -1, 1415 }
map_tiles[74][25] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1416 }
map_tiles[74][26] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[74][27] = { 768, 1154, -1, 968, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[74][28] = { 768, 1155, -1, 969, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[74][29] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[74][30] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1420, -1, -1, -1 }
map_tiles[74][31] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[74][32] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[74][33] = { 768, 1587, -1, 1771, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][34] = { 768, 1588, -1, 1772, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][35] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[74][36] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[74][37] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[74][38] = { 768, 1140, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[74][39] = { 768, 1141, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[74][40] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[74][41] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[74][42] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[74][43] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[74][44] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1369, 1407, -1, -1 }
map_tiles[74][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][52] = { 768, -1, -1, 1679, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][53] = { 849, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][54] = { 850, -1, -1, 1799, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][55] = { 850, -1, -1, 1869, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][56] = { 850, -1, -1, 1870, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][57] = { 850, -1, -1, 1871, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][58] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][59] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][60] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][61] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][62] = { 1833, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][63] = { 1835, 1941, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][64] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][65] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][66] = { 851, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][67] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][68] = { 1836, 2004, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][69] = { 768, 1738, -1, 1120, -2, -2, -1, -2, -1, 1380, -1, -1 }
map_tiles[74][70] = { 768, 1121, -1, -1, -2, -2, -1, -2, 178, -1, 2305, -1 }
map_tiles[74][71] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[74][72] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1383, -1, -1, -1 }
map_tiles[74][73] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[74][74] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[74][75] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[74][76] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[74][77] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[74][78] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1386, -1, -1, 1391 }
map_tiles[74][79] = { 768, 1130, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][80] = { 768, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][82] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][83] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][84] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][85] = { 768, 1789, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][86] = { 768, 1790, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][87] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][88] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][89] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][91] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][92] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][93] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][95] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][96] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[74][97] = { 819, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][2] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][3] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][4] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][5] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][6] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[75][7] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[75][8] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[75][9] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[75][10] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1415 }
map_tiles[75][11] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1416 }
map_tiles[75][12] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1417, -1, -1, -1 }
map_tiles[75][13] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[75][14] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[75][15] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[75][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][21] = { 768, 984, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][22] = { 768, 985, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][23] = { 768, 1003, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][24] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][25] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][26] = { 771, 1003, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][27] = { 768, 984, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][28] = { 768, 985, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][29] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][30] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][31] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][32] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][33] = { 770, 1787, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][34] = { 771, 1788, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][35] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[75][36] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[75][37] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[75][38] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[75][39] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1415 }
map_tiles[75][40] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1416 }
map_tiles[75][41] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1421, -1, -1, -1 }
map_tiles[75][42] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[75][43] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[75][44] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[75][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][52] = { 768, -1, -1, 1695, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][53] = { 849, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][54] = { 850, 1815, -1, 1798, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][55] = { 850, -1, -1, 1885, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][56] = { 850, -1, -1, 1886, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][57] = { 850, -1, -1, 1887, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][58] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][59] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][60] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][61] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][62] = { 850, 1849, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][63] = { 850, 1851, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][64] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][65] = { 850, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][66] = { 851, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][67] = { 768, 1995, -1, 1982, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][68] = { 768, 1852, -1, 1983, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][69] = { 768, 2032, -1, 2020, -2, -2, -1, -2, -1, 1396, -1, -1 }
map_tiles[75][70] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1369, 2321, -1, -1 }
map_tiles[75][71] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[75][72] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[75][73] = { 768, 1140, -1, 1164, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[75][74] = { 768, 1141, -1, 1165, -2, -2, -1, -2, 1381, -1, -1, -1 }
map_tiles[75][75] = { 768, 1142, -1, 1164, -2, -2, -1, -2, 1397, -1, -1, -1 }
map_tiles[75][76] = { 768, 1143, -1, 1165, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[75][77] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[75][78] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1370, -1, -1, 1407 }
map_tiles[75][79] = { 768, 1146, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][81] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][82] = { 785, -1, -1, 1712, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][83] = { 786, -1, -1, 1713, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][84] = { 787, -1, -1, 1714, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][85] = { 768, -1, -1, 1715, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][86] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][87] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][88] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][89] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][90] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][91] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][92] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][93] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][94] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][96] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[75][97] = { 770, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][2] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][3] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][4] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][5] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][7] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][8] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][9] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][13] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][14] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][16] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][17] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][18] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][19] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][20] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][21] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][23] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][24] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][25] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][26] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][28] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][29] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][30] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][31] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][32] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][33] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][34] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][36] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][37] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][38] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][39] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][40] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][41] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][42] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][44] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][45] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][46] = { 771, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][52] = { 768, 1711, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][53] = { 865, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][54] = { 866, 1814, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][55] = { 866, 1901, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][56] = { 866, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][57] = { 866, 1903, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][58] = { 866, 2010, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][59] = { 866, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][60] = { 866, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][61] = { 866, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][62] = { 866, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][63] = { 866, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][64] = { 866, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][65] = { 866, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][66] = { 867, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][67] = { 768, 1998, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][68] = { 768, 1999, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][69] = { 768, 2036, -1, -1, -2, -2, -1, -2, -1, 1412, -1, -1 }
map_tiles[76][70] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1385, 1413, -1, -1 }
map_tiles[76][71] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1385, 1414, -1, -1 }
map_tiles[76][72] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1386, 1414, -1, -1 }
map_tiles[76][73] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[76][74] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1415 }
map_tiles[76][75] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1365, -1, -1, 1416 }
map_tiles[76][76] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1386, 1418, -1, -1 }
map_tiles[76][77] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1385, 1419, -1, -1 }
map_tiles[76][78] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1386, -1, -1, 1423 }
map_tiles[76][79] = { 768, 1162, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][81] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][82] = { 801, -1, -1, 1728, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][83] = { 802, -1, -1, 1729, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][84] = { 803, -1, -1, 1730, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][85] = { 768, -1, -1, 1731, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][86] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][87] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][88] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][89] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][90] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][91] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][92] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][93] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][94] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][95] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][96] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[76][97] = { 786, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][1] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][2] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][3] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][4] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][6] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][7] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][8] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][9] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][10] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][12] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][13] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][14] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][15] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][16] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][17] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][18] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][19] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][20] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][21] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][23] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][24] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][25] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][26] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][28] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][29] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][30] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][31] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][32] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][33] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][34] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][35] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][36] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][37] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][38] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][39] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][40] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][41] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][42] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][43] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][44] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][45] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][46] = { 787, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][52] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][53] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][54] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][55] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][56] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][57] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][58] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][59] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][60] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][61] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][62] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][63] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][64] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][65] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][66] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][67] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][68] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][69] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][70] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][71] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][72] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][73] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][74] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][75] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][76] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][77] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][78] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][80] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][81] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][82] = { 771, -1, -1, 1744, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][83] = { 818, -1, -1, 1745, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][84] = { 819, -1, -1, 1746, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][85] = { 768, -1, -1, 1747, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][86] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][87] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][88] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][89] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][90] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][91] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][92] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][93] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][94] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][95] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][96] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[77][97] = { 802, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][1] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][2] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][3] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][4] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][6] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][7] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][8] = { 802, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][9] = { 803, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][10] = { 768, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][11] = { 768, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][12] = { 800, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][13] = { 801, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][14] = { 802, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][15] = { 800, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][16] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][17] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][18] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][19] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][20] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][21] = { 803, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][22] = { 768, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][23] = { 816, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][24] = { 817, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][25] = { 818, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][26] = { 819, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][27] = { 768, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][28] = { 816, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][29] = { 800, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][30] = { 801, -1, -1, -1, -2, -2, -1, -2, 1305, -1, -1, -1 }
map_tiles[78][31] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][32] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][33] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][34] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][35] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][36] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, 1302, -1, -1 }
map_tiles[78][37] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, 1303, -1, -1 }
map_tiles[78][38] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, 1304, -1, -1 }
map_tiles[78][39] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][40] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][41] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, 1302, -1, -1 }
map_tiles[78][42] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, 1303, -1, -1 }
map_tiles[78][43] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, 1304, -1, -1 }
map_tiles[78][44] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][45] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][46] = { 803, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][52] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][53] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][54] = { 818, -1, -1, 1025, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][55] = { 819, -1, -1, 1026, -2, -2, -1, -2, -1, 1301, -1, -1 }
map_tiles[78][56] = { 785, -1, -1, 1026, -2, -2, -1, -2, -1, 1302, -1, -1 }
map_tiles[78][57] = { 786, -1, -1, 1026, -2, -2, -1, -2, -1, 1303, -1, -1 }
map_tiles[78][58] = { 787, -1, -1, 1026, -2, -2, -1, -2, -1, 1304, -1, -1 }
map_tiles[78][59] = { 816, -1, -1, 1033, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][60] = { 817, -1, -1, 1026, -2, -2, -1, -2, -1, 1301, -1, -1 }
map_tiles[78][61] = { 818, -1, -1, 1026, -2, -2, -1, -2, -1, 1302, -1, -1 }
map_tiles[78][62] = { 819, -1, -1, 1026, -2, -2, -1, -2, -1, 1303, -1, -1 }
map_tiles[78][63] = { 785, -1, -1, 1026, -2, -2, -1, -2, -1, 1304, -1, -1 }
map_tiles[78][64] = { 786, -1, -1, 1033, -2, -2, -1, -2, -1, 1301, -1, -1 }
map_tiles[78][65] = { 787, -1, -1, 1026, -2, -2, -1, -2, -1, 1302, -1, -1 }
map_tiles[78][66] = { 816, -1, -1, 1026, -2, -2, -1, -2, -1, 1303, -1, -1 }
map_tiles[78][67] = { 817, -1, -1, 1026, -2, -2, -1, -2, -1, 1304, -1, -1 }
map_tiles[78][68] = { 818, -1, -1, 1033, -2, -2, -1, -2, -1, 1301, -1, -1 }
map_tiles[78][69] = { 816, -1, -1, 1026, -2, -2, -1, -2, -1, 1302, -1, -1 }
map_tiles[78][70] = { 817, -1, -1, 1026, -2, -2, -1, -2, -1, 1303, -1, -1 }
map_tiles[78][71] = { 818, -1, -1, 1026, -2, -2, -1, -2, -1, 1304, -1, -1 }
map_tiles[78][72] = { 819, -1, -1, 1033, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][73] = { 785, -1, -1, 1034, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][74] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][75] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][76] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][77] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][78] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][79] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][80] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][81] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][82] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][83] = { 768, 1761, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][84] = { 768, 1762, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][85] = { 768, 1763, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][86] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][87] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][88] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][89] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][90] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][91] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][92] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][93] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][94] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][95] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][96] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[78][97] = { 818, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][1] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][2] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][3] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][4] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][6] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][7] = { 817, -1, -1, 1025, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[79][8] = { 818, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][9] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][10] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][11] = { 768, 1029, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][12] = { 816, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][13] = { 817, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][14] = { 818, 1032, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][15] = { 816, -1, -1, 1033, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][16] = { 817, -1, -1, 1034, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[79][17] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][18] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][19] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][20] = { 818, -1, -1, 1025, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[79][21] = { 819, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][22] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][23] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][24] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][25] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][26] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][27] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][28] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][29] = { 768, -1, -1, 1026, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][30] = { 768, -1, -1, 1033, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][31] = { 768, -1, -1, 1034, -2, -2, -1, -2, 1327, -1, -1, -1 }
map_tiles[79][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][33] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][34] = { 768, -1, -1, 1025, -2, -2, -1, -2, -1, 1316, -1, -1 }
map_tiles[79][35] = { 816, -1, -1, 1026, -2, -2, -1, -2, -1, 1321, -1, -1 }
map_tiles[79][36] = { 817, -1, -1, 1026, -2, -2, -1, -2, -1, 1318, -1, -1 }
map_tiles[79][37] = { 818, -1, -1, 1026, -2, -2, -1, -2, -1, 1319, -1, -1 }
map_tiles[79][38] = { 816, -1, -1, 1026, -2, -2, -1, -2, -1, 1320, -1, -1 }
map_tiles[79][39] = { 817, -1, -1, 1026, -2, -2, -1, -2, -1, 1321, -1, -1 }
map_tiles[79][40] = { 818, -1, -1, 1026, -2, -2, -1, -2, -1, 1321, -1, -1 }
map_tiles[79][41] = { 819, -1, -1, 1026, -2, -2, -1, -2, -1, 1318, -1, -1 }
map_tiles[79][42] = { 817, -1, -1, 1026, -2, -2, -1, -2, -1, 1319, -1, -1 }
map_tiles[79][43] = { 816, -1, -1, 1026, -2, -2, -1, -2, -1, 1320, -1, -1 }
map_tiles[79][44] = { 817, -1, -1, 1033, -2, -2, -1, -2, -1, 1321, -1, -1 }
map_tiles[79][45] = { 818, -1, -1, 1034, -2, -2, -1, -2, -1, 1327, -1, -1 }
map_tiles[79][46] = { 819, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][53] = { 768, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][54] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[79][55] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1317, -1, -1, -1 }
map_tiles[79][56] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1318, -1, -1, -1 }
map_tiles[79][57] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1319, -1, -1, -1 }
map_tiles[79][58] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1320, -1, -1, -1 }
map_tiles[79][59] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][60] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1317, -1, -1, -1 }
map_tiles[79][61] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1318, -1, -1, -1 }
map_tiles[79][62] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1319, -1, -1, -1 }
map_tiles[79][63] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1320, -1, -1, -1 }
map_tiles[79][64] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][65] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1318, -1, -1, -1 }
map_tiles[79][66] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1319, -1, -1, -1 }
map_tiles[79][67] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1320, -1, -1, -1 }
map_tiles[79][68] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][69] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1318, -1, -1, -1 }
map_tiles[79][70] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1319, -1, -1, -1 }
map_tiles[79][71] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1320, -1, -1, -1 }
map_tiles[79][72] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1321, -1, -1, -1 }
map_tiles[79][73] = { 768, 1050, -1, -1, -2, -2, -1, -2, -1, 1327, -1, 1327 }
map_tiles[79][74] = { 768, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][75] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][76] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][77] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][78] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][79] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][80] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][81] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][82] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][83] = { 768, 1777, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][84] = { 768, 1778, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][86] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][87] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][88] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][89] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][94] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][95] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][96] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[79][97] = { 768, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][3] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][4] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][5] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][6] = { 768, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][7] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[80][8] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][9] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][10] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][11] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][12] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][13] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][14] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][15] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][16] = { 768, 1050, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[80][17] = { 768, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][19] = { 768, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][20] = { 768, 1041, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[80][21] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][22] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][23] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][24] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][25] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][26] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][27] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][28] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][29] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][30] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][31] = { 768, 1050, -1, -1, -2, -2, -1, -2, 1343, -1, -1, -1 }
map_tiles[80][32] = { 784, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][33] = { 785, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][34] = { 768, 1041, -1, -1, -2, -2, -1, -2, -1, 1332, -1, -1 }
map_tiles[80][35] = { 768, 1045, -1, -1, -2, -2, -1, -2, -1, 1337, -1, -1 }
map_tiles[80][36] = { 768, 1046, -1, -1, -2, -2, -1, -2, -1, 1336, -1, -1 }
map_tiles[80][37] = { 768, 1047, -1, -1, -2, -2, -1, -2, -1, 1335, -1, -1 }
map_tiles[80][38] = { 768, 1045, -1, -1, -2, -2, -1, -2, -1, 1342, -1, -1 }
map_tiles[80][39] = { 768, 1046, -1, -1, -2, -2, -1, -2, -1, 1337, -1, 2544 }
map_tiles[80][40] = { 768, 1047, -1, -1, -2, -2, -1, -2, -1, 1337, -1, -1 }
map_tiles[80][41] = { 768, 1049, -1, -1, -2, -2, -1, -2, -1, 1334, -1, -1 }
map_tiles[80][42] = { 768, 1045, -1, -1, -2, -2, -1, -2, -1, 1335, -1, -1 }
map_tiles[80][43] = { 768, 1046, -1, -1, -2, -2, -1, -2, -1, 1342, -1, 0 }
map_tiles[80][44] = { 768, 1047, -1, -1, -2, -2, -1, -2, -1, 1337, -1, 1 }
map_tiles[80][45] = { 768, 1050, -1, -1, -2, -2, -1, -2, -1, 1343, -1, -1 }
map_tiles[80][46] = { 768, 528, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][53] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][54] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[80][55] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1333, -1, 1, -1 }
map_tiles[80][56] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1334, -1, -1, -1 }
map_tiles[80][57] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1335, -1, -1, -1 }
map_tiles[80][58] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1336, -1, -1, -1 }
map_tiles[80][59] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1337, -1, 2544, -1 }
map_tiles[80][60] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1333, -1, -1, -1 }
map_tiles[80][61] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1334, -1, -1, -1 }
map_tiles[80][62] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1335, 2, -1, -1 }
map_tiles[80][63] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1336, -1, -1, -1 }
map_tiles[80][64] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][65] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1334, -1, -1, -1 }
map_tiles[80][66] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1335, -1, -1, -1 }
map_tiles[80][67] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1336, -1, -1, -1 }
map_tiles[80][68] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][69] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1334, -1, -1, -1 }
map_tiles[80][70] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1335, -1, -1, -1 }
map_tiles[80][71] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1336, -1, -1, -1 }
map_tiles[80][72] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1337, -1, -1, -1 }
map_tiles[80][73] = { 768, 1066, -1, -1, -2, -2, -1, -2, -1, 1343, -1, 1343 }
map_tiles[80][74] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][75] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][76] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][77] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][78] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][79] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][80] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][81] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][82] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][84] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][85] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][86] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][87] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][88] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][89] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][90] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][93] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][94] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][95] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][96] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[80][97] = { 768, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][2] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][3] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][4] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][5] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][6] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][7] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[81][8] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][9] = { 768, 1059, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][10] = { 768, 1060, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][11] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][12] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][13] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][14] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][15] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][16] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[81][17] = { 769, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][18] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][19] = { 771, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][20] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[81][21] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][22] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][23] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][24] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][25] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][26] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][27] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][28] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][29] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][30] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][31] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1359, -1, -1, -1 }
map_tiles[81][32] = { 800, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][33] = { 801, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][34] = { 768, 1057, -1, -1, -2, -2, -1, -2, -1, 1348, -1, -1 }
map_tiles[81][35] = { 768, 1061, -1, -1, -2, -2, -1, -2, -1, 1353, -1, 2310 }
map_tiles[81][36] = { 768, 1062, -1, -1, -2, -2, -1, -2, -1, 1352, -1, -1 }
map_tiles[81][37] = { 768, 1063, -1, -1, -2, -2, -1, -2, -1, 1351, -1, -1 }
map_tiles[81][38] = { 768, 1061, -1, -1, -2, -2, -1, -2, -1, 1358, -1, -1 }
map_tiles[81][39] = { 768, 1062, -1, -1, -2, -2, -1, -2, -1, 1353, -1, -1 }
map_tiles[81][40] = { 768, 1063, -1, -1, -2, -2, -1, -2, -1, 1353, -1, -1 }
map_tiles[81][41] = { 768, 1065, -1, -1, -2, -2, -1, -2, -1, 1350, -1, -1 }
map_tiles[81][42] = { 768, 1061, -1, -1, -2, -2, -1, -2, -1, 1351, -1, -1 }
map_tiles[81][43] = { 768, 1062, -1, -1, -2, -2, -1, -2, -1, 1358, -1, 16 }
map_tiles[81][44] = { 768, 1063, -1, -1, -2, -2, -1, -2, -1, 1353, -1, 17 }
map_tiles[81][45] = { 768, 1066, -1, -1, -2, -2, -1, -2, -1, 1359, -1, -1 }
map_tiles[81][46] = { 768, 528, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][53] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][54] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[81][55] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1349, 17, -1, -1 }
map_tiles[81][56] = { 768, 1061, -1, -1, -2, -2, -1, -2, 163, -1, -1, 2354 }
map_tiles[81][57] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1351, -1, -1, -1 }
map_tiles[81][58] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1352, -1, -1, -1 }
map_tiles[81][59] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][60] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1349, -1, -1, -1 }
map_tiles[81][61] = { 768, 1061, -1, -1, -2, -2, -1, -2, 163, -1, -1, -1 }
map_tiles[81][62] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1351, 18, -1, -1 }
map_tiles[81][63] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1352, 205, -1, -1 }
map_tiles[81][64] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][65] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1350, -1, -1, -1 }
map_tiles[81][66] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1351, -1, -1, -1 }
map_tiles[81][67] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1352, -1, -1, -1 }
map_tiles[81][68] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][69] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1350, -1, -1, -1 }
map_tiles[81][70] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1351, -1, -1, -1 }
map_tiles[81][71] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1352, -1, -1, -1 }
map_tiles[81][72] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1353, -1, -1, -1 }
map_tiles[81][73] = { 768, 1066, -1, -1, -2, -2, -1, -2, -1, 1359, -1, 1359 }
map_tiles[81][74] = { 784, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][75] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][76] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][77] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][78] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][79] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][80] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][81] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][82] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][84] = { 768, -1, -1, 1025, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][85] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][86] = { 816, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][87] = { 817, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][88] = { 818, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][89] = { 819, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][90] = { 768, -1, -1, 1026, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][91] = { 768, -1, -1, 1034, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][93] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][94] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][95] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][96] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[81][97] = { 768, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][2] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][3] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][4] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][5] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][6] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][7] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[82][8] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][9] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][10] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][11] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][12] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][13] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][14] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][15] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][16] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[82][17] = { 785, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][18] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][19] = { 787, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][20] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[82][21] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][22] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][23] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][24] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][25] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][26] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][27] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][28] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][29] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][30] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][31] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[82][32] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][33] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][34] = { 768, 1057, -1, -1, -2, -2, -1, -2, -1, 1380, -1, -1 }
map_tiles[82][35] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1369, 2326, -1, -1 }
map_tiles[82][36] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][37] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][38] = { 768, 1043, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][39] = { 768, 1044, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][40] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][41] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][42] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][43] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1369, 32, -1, -1 }
map_tiles[82][44] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1370, 33, -1, -1 }
map_tiles[82][45] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[82][46] = { 768, 528, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][53] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][54] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[82][55] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, 33, -1, -1 }
map_tiles[82][56] = { 768, 1059, -1, -1, -2, -2, -1, -2, 163, -1, -1, -1 }
map_tiles[82][57] = { 768, 1060, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][58] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][59] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][60] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][61] = { 768, 1064, -1, -1, -2, -2, -1, -2, 163, -1, 2315, -1 }
map_tiles[82][62] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, 34, -1, -1 }
map_tiles[82][63] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1369, 221, -1, -1 }
map_tiles[82][64] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][65] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[82][66] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[82][67] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1369, 52, -1, -1 }
map_tiles[82][68] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, 53, -1, -1 }
map_tiles[82][69] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1369, 52, -1, -1 }
map_tiles[82][70] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1370, 53, -1, -1 }
map_tiles[82][71] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1369, 52, -1, -1 }
map_tiles[82][72] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1370, 53, -1, -1 }
map_tiles[82][73] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, 1375 }
map_tiles[82][74] = { 800, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][75] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][76] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][77] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][78] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][79] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][80] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][81] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][82] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][83] = { 768, -1, -1, 1040, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][84] = { 768, 1041, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][85] = { 768, 1042, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][86] = { 768, 1043, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][87] = { 768, 1044, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][88] = { 768, 1045, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][89] = { 768, 1048, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][90] = { 768, 1049, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][91] = { 768, 1050, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][92] = { 768, -1, -1, 1051, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][93] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][94] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][95] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][96] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[82][97] = { 768, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][2] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][3] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][4] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][5] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][6] = { 768, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][7] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[83][8] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][9] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[83][10] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][11] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[83][12] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][13] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[83][14] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][15] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][16] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[83][17] = { 801, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][18] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][19] = { 803, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][20] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[83][21] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][22] = { 768, 1059, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[83][23] = { 768, 1060, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[83][24] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[83][25] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][26] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][27] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][28] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[83][29] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][30] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][31] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[83][32] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][33] = { 769, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][34] = { 768, 1057, -1, -1, -2, -2, -1, -2, -1, 1364, -1, -1 }
map_tiles[83][35] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, 162, -1, -1 }
map_tiles[83][36] = { -1, 1062, -1, -1, -2, -2, -1, -2, 1386, 162, -1, -1 }
map_tiles[83][37] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, 145, -1, -1 }
map_tiles[83][38] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[83][39] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][40] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[83][41] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][42] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[83][43] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][44] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1386, -1, -1, 2304 }
map_tiles[83][45] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[83][46] = { 768, 528, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][48] = { 768, 547, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][53] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][54] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[83][55] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[83][56] = { 768, 1045, -1, -1, -2, -2, -1, -2, 160, 2351, -1, -1 }
map_tiles[83][57] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1385, -1, 162, -1 }
map_tiles[83][58] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1386, -1, 162, 2357 }
map_tiles[83][59] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1385, -1, 162, -1 }
map_tiles[83][60] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1386, -1, 162, -1 }
map_tiles[83][61] = { 768, 1048, -1, -1, -2, -2, -1, -2, 161, 2351, -1, -1 }
map_tiles[83][62] = { 768, 1049, -1, -1, -2, -2, -1, -2, 1369, 1329, -1, -1 }
map_tiles[83][63] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1385, 1330, -1, -1 }
map_tiles[83][64] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1386, 1330, -1, -1 }
map_tiles[83][65] = { 768, 1042, -1, -1, -2, -2, -1, -2, 1385, 1331, -1, -1 }
map_tiles[83][66] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[83][67] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1385, 68, -1, -1 }
map_tiles[83][68] = { 768, 1045, -1, -1, -2, -2, -1, -2, 1386, 69, -1, -1 }
map_tiles[83][69] = { 768, 1046, -1, -1, -2, -2, -1, -2, 1385, 68, -1, -1 }
map_tiles[83][70] = { 768, 1047, -1, -1, -2, -2, -1, -2, 1386, 69, -1, -1 }
map_tiles[83][71] = { 768, 1048, -1, -1, -2, -2, -1, -2, 1385, 68, -1, -1 }
map_tiles[83][72] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1386, 69, -1, -1 }
map_tiles[83][73] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, 1391 }
map_tiles[83][74] = { 816, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][75] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][76] = { 818, -1, -1, 1641, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][77] = { 819, -1, -1, 1642, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][78] = { 818, -1, -1, 1642, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][79] = { 819, -1, -1, 1642, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][80] = { 817, -1, -1, 1643, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][81] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][82] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][83] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][84] = { 768, 1057, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][85] = { 768, 1058, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][86] = { 768, 1059, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][87] = { 768, 1060, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][88] = { 768, 1061, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][89] = { 768, 1064, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][90] = { 768, 1065, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][91] = { 768, 1066, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][92] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][96] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[83][97] = { 770, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][1] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][2] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][3] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][4] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][6] = { 768, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][7] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[84][8] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][9] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[84][10] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][11] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[84][12] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][13] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[84][14] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][15] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][16] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[84][17] = { 769, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][18] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][19] = { 771, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][20] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[84][21] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][22] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[84][23] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][24] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[84][25] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][26] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[84][27] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][28] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[84][29] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][30] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][31] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, -1 }
map_tiles[84][32] = { 784, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][33] = { 785, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][34] = { 768, 1073, -1, -1, -2, -2, -1, -2, -1, 1380, -1, -1 }
map_tiles[84][35] = { 768, 1074, -1, -1, -2, -2, -1, -2, 176, 90, -1, 205 }
map_tiles[84][36] = { 768, 1075, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[84][37] = { 768, 1080, -1, -1, -2, -2, -1, -2, 163, -1, -1, -1 }
map_tiles[84][38] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1372, -1, -1, -1 }
map_tiles[84][39] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1373, -1, -1, -1 }
map_tiles[84][40] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1373, -1, -1, -1 }
map_tiles[84][41] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1373, -1, -1, -1 }
map_tiles[84][42] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1374, -1, -1, -1 }
map_tiles[84][43] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][44] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1370, 2320, -1, 2304 }
map_tiles[84][45] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[84][46] = { 768, 528, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][53] = { 768, -1, -1, 1056, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][54] = { 768, 1057, -1, -1, -2, -2, -1, -2, 1316, -1, -1, -1 }
map_tiles[84][55] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[84][56] = { 768, 1061, -1, -1, -2, -2, -1, -2, 176, -1, -1, -1 }
map_tiles[84][57] = { 768, 1062, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[84][58] = { 768, 1061, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[84][59] = { 768, 1062, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[84][60] = { 768, 1063, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[84][61] = { 768, 1064, -1, -1, -2, -2, -1, -2, 179, -1, -1, -1 }
map_tiles[84][62] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1385, 1345, -1, -1 }
map_tiles[84][63] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, 1346, -1, -1 }
map_tiles[84][64] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1370, 1346, -1, -1 }
map_tiles[84][65] = { 768, 1058, -1, -1, -2, -2, -1, -2, 1369, 1347, -1, -1 }
map_tiles[84][66] = { 768, 1059, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[84][67] = { 768, 1060, -1, -1, -2, -2, -1, -2, 1369, 84, -1, -1 }
map_tiles[84][68] = { 768, 1061, -1, -1, -2, -2, -1, -2, 1370, 85, -1, -1 }
map_tiles[84][69] = { 768, 1062, -1, -1, -2, -2, -1, -2, 1369, 84, -1, -1 }
map_tiles[84][70] = { 768, 1063, -1, -1, -2, -2, -1, -2, 1370, 85, -1, -1 }
map_tiles[84][71] = { 768, 1064, -1, -1, -2, -2, -1, -2, 1369, 84, -1, -1 }
map_tiles[84][72] = { 768, 1065, -1, -1, -2, -2, -1, -2, 1370, 85, -1, -1 }
map_tiles[84][73] = { 768, 1066, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, 1375 }
map_tiles[84][74] = { 768, -1, -1, 1067, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][76] = { 768, 1657, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][77] = { 768, 1658, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][78] = { 768, 1658, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][79] = { 768, 1658, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][80] = { 768, 1659, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][81] = { 768, 1588, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][82] = { 768, 1588, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][83] = { 768, 1588, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][84] = { 768, 1073, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][85] = { 768, 1074, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][86] = { 768, 1075, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][87] = { 768, 1076, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][88] = { 768, 1075, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][89] = { 768, 1080, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][90] = { 768, 1081, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][91] = { 768, 1082, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][92] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][95] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][96] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[84][97] = { 786, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][1] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][2] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][3] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][4] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][5] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][6] = { 802, -1, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][7] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[85][8] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[85][9] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[85][10] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][11] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[85][12] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[85][13] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[85][14] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[85][15] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][16] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[85][17] = { 785, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][18] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][19] = { 787, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][20] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[85][21] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][22] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[85][23] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][24] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[85][25] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][26] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[85][27] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][28] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[85][29] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[85][30] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[85][31] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1370, 1391, -1, -1 }
map_tiles[85][32] = { 800, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][33] = { 801, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][34] = { 768, 1089, -1, -1, -2, -2, -1, -2, -1, 1348, -1, -1 }
map_tiles[85][35] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1385, 221, -1, -1 }
map_tiles[85][36] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[85][37] = { 768, 1096, -1, -1, -2, -2, -1, -2, 163, -1, -1, -1 }
map_tiles[85][38] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1388, -1, -1, -1 }
map_tiles[85][39] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[85][40] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[85][41] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[85][42] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1390, -1, -1, -1 }
map_tiles[85][43] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][44] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1386, 2320, -1, -1 }
map_tiles[85][45] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[85][46] = { 768, 528, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][53] = { 768, -1, -1, 1072, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][54] = { 768, 1073, -1, -1, -2, -2, -1, -2, 1332, -1, -1, -1 }
map_tiles[85][55] = { 768, 1074, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][56] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[85][57] = { 768, 1076, -1, -1, -2, -2, -1, -2, 1372, -1, -1, -1 }
map_tiles[85][58] = { 768, 1077, -1, -1, -2, -2, -1, -2, 1373, -1, -1, -1 }
map_tiles[85][59] = { 768, 1078, -1, -1, -2, -2, -1, -2, 1373, -1, -1, -1 }
map_tiles[85][60] = { 768, 1079, -1, -1, -2, -2, -1, -2, 1374, -1, -1, -1 }
map_tiles[85][61] = { 768, 1080, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][62] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[85][63] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][64] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[85][65] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[85][66] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[85][67] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1385, 52, -1, -1 }
map_tiles[85][68] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1386, 53, -1, -1 }
map_tiles[85][69] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1385, 52, -1, -1 }
map_tiles[85][70] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1386, 53, -1, -1 }
map_tiles[85][71] = { 768, 1075, -1, -1, -2, -2, -1, -2, 1385, 52, -1, -1 }
map_tiles[85][72] = { 768, 1081, -1, -1, -2, -2, -1, -2, 1386, 53, -1, -1 }
map_tiles[85][73] = { 768, 1082, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, 1391 }
map_tiles[85][74] = { 768, -1, -1, 1083, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][75] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][76] = { 768, 1673, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][77] = { 768, 1674, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][78] = { 768, 1674, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][79] = { 768, 1674, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][80] = { 768, 1675, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][81] = { 1566, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][82] = { 1581, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][83] = { 1581, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][84] = { 768, 1089, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][85] = { 768, 1090, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][86] = { 768, 1091, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][87] = { 768, 1090, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][88] = { 768, 1091, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][89] = { 768, 1096, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][90] = { 768, 1097, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][91] = { 768, 1098, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][92] = { 768, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][95] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][96] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[85][97] = { 802, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][2] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][3] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][4] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][5] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][6] = { 818, 1136, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][7] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[86][8] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[86][9] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[86][10] = { 768, 1140, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[86][11] = { 768, 1141, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[86][12] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[86][13] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[86][14] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[86][15] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[86][16] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1386, 1407, -1, -1 }
map_tiles[86][17] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][18] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][19] = { 803, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][20] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[86][21] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[86][22] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[86][23] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[86][24] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[86][25] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[86][26] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[86][27] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[86][28] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[86][29] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[86][30] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[86][31] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1386, 1375, -1, -1 }
map_tiles[86][32] = { 768, 1739, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][33] = { 768, 1740, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][34] = { 768, 1105, -1, -1, -2, -2, -1, -2, -1, 1364, -1, -1 }
map_tiles[86][35] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1369, -1, 162, -1 }
map_tiles[86][36] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1370, -1, 162, -1 }
map_tiles[86][37] = { 768, 1112, -1, -1, -2, -2, -1, -2, 161, -1, -1, 2334 }
map_tiles[86][38] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1404, -1, -1, -1 }
map_tiles[86][39] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1405, -1, -1, -1 }
map_tiles[86][40] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1405, -1, -1, -1 }
map_tiles[86][41] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1405, -1, -1, -1 }
map_tiles[86][42] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1406, -1, -1, -1 }
map_tiles[86][43] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[86][44] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1369, 2307, -1, 2306 }
map_tiles[86][45] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1370, 1375, -1, -1 }
map_tiles[86][46] = { 768, 528, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][53] = { 768, -1, -1, 1088, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][54] = { 768, 1089, -1, -1, -2, -2, -1, -2, 1348, -1, -1, -1 }
map_tiles[86][55] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1369, -1, 2306, -1 }
map_tiles[86][56] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[86][57] = { 768, 1092, -1, -1, -2, -2, -1, -2, 1388, -1, -1, -1 }
map_tiles[86][58] = { 768, 1093, -1, -1, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[86][59] = { 768, 1094, -1, -1, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[86][60] = { 768, 1095, -1, -1, -2, -2, -1, -2, 1390, -1, -1, -1 }
map_tiles[86][61] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[86][62] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[86][63] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[86][64] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[86][65] = { 768, 1090, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[86][66] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[86][67] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1369, 68, -1, -1 }
map_tiles[86][68] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1370, 69, -1, -1 }
map_tiles[86][69] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1369, 68, -1, -1 }
map_tiles[86][70] = { 768, 1091, -1, -1, -2, -2, -1, -2, 1370, 69, -1, -1 }
map_tiles[86][71] = { 768, 1096, -1, -1, -2, -2, -1, -2, 1369, 68, -1, -1 }
map_tiles[86][72] = { 768, 1097, -1, -1, -2, -2, -1, -2, 1370, 69, -1, -1 }
map_tiles[86][73] = { 768, 1098, -1, -1, -2, -2, -1, -2, 1369, 1375, -1, 1375 }
map_tiles[86][74] = { 768, -1, -1, 1099, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][75] = { 768, 1738, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][76] = { 768, 1703, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][77] = { 768, 1649, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][78] = { 768, 1649, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][79] = { 768, 1656, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][80] = { 768, 1650, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][81] = { 1583, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][82] = { 1566, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][83] = { 1583, -1, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][84] = { 768, 1105, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][85] = { 768, 1106, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][86] = { 768, 1107, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][87] = { 768, 1106, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][88] = { 768, 1107, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][89] = { 768, 1112, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][90] = { 768, 1113, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][91] = { 768, 1114, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][92] = { 768, -1, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][94] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][95] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][96] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[86][97] = { 818, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][2] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][3] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][4] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][6] = { 768, 1152, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][7] = { 768, 1153, -1, 1767, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[87][8] = { 768, 1154, -1, 1768, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[87][9] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[87][10] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[87][11] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1415 }
map_tiles[87][12] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1416 }
map_tiles[87][13] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[87][14] = { 768, 1160, -1, 1771, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[87][15] = { 768, 1161, -1, 1772, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[87][16] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[87][17] = { 768, 1163, -1, 1760, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][19] = { 768, -1, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][20] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[87][21] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[87][22] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[87][23] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[87][24] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[87][25] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[87][26] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[87][27] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[87][28] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[87][29] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[87][30] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[87][31] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1370, 1391, -1, -1 }
map_tiles[87][32] = { 768, 1755, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][33] = { 768, 1756, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][34] = { 768, 1121, -1, -1, -2, -2, -1, -2, -1, 1380, -1, -1 }
map_tiles[87][35] = { 768, 1122, -1, -1, -2, -2, -1, -2, 176, -1, -1, -1 }
map_tiles[87][36] = { 768, 1123, -1, -1, -2, -2, -1, -2, 178, -1, -1, -1 }
map_tiles[87][37] = { 768, 1128, -1, -1, -2, -2, -1, -2, 179, -1, -1, -1 }
map_tiles[87][38] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[87][39] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[87][40] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[87][41] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1399, -1, -1, -1 }
map_tiles[87][42] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[87][43] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[87][44] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1385, 2322, -1, -1 }
map_tiles[87][45] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1386, 1391, -1, -1 }
map_tiles[87][46] = { 768, 528, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][53] = { 768, 1791, -1, 1104, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][54] = { 768, 1105, -1, -1, -2, -2, -1, -2, 1364, -1, -1, -1 }
map_tiles[87][55] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1385, 2322, 2306, -1 }
map_tiles[87][56] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1386, -1, 2306, -1 }
map_tiles[87][57] = { 768, 1108, -1, -1, -2, -2, -1, -2, 1388, -1, -1, -1 }
map_tiles[87][58] = { 768, 1109, -1, -1, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[87][59] = { 768, 1110, -1, -1, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[87][60] = { 768, 1111, -1, -1, -2, -2, -1, -2, 1390, -1, -1, -1 }
map_tiles[87][61] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[87][62] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1386, 50, -1, -1 }
map_tiles[87][63] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1385, 51, -1, -1 }
map_tiles[87][64] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[87][65] = { 768, 1106, -1, -1, -2, -2, -1, -2, 1385, 50, -1, -1 }
map_tiles[87][66] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1386, 51, -1, -1 }
map_tiles[87][67] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1385, 84, -1, -1 }
map_tiles[87][68] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1386, 85, -1, -1 }
map_tiles[87][69] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1385, 84, -1, -1 }
map_tiles[87][70] = { 768, 1107, -1, -1, -2, -2, -1, -2, 1386, 85, -1, -1 }
map_tiles[87][71] = { 768, 1112, -1, -1, -2, -2, -1, -2, 1385, 84, -1, -1 }
map_tiles[87][72] = { 768, 1113, -1, -1, -2, -2, -1, -2, 1386, 85, 232, -1 }
map_tiles[87][73] = { 768, 1114, -1, -1, -2, -2, -1, -2, 1385, 1391, -1, 1391 }
map_tiles[87][74] = { 768, 1785, -1, 1115, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][75] = { 768, 1741, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][76] = { 768, 1648, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][77] = { 768, 1600, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][78] = { 768, 1601, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][79] = { 768, 1600, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][80] = { 768, 1650, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][81] = { 1566, 1588, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][82] = { 1566, 1587, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][83] = { 1566, 1588, -1, 1760, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][84] = { 768, 1121, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][85] = { 768, 1122, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][86] = { 768, 1123, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][87] = { 768, 1122, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][88] = { 768, 1123, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][89] = { 768, 1128, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][90] = { 768, 1129, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][91] = { 768, 1130, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][92] = { 768, -1, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][93] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][94] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][95] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][96] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[87][97] = { 768, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][2] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][3] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][4] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][5] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][7] = { 768, 1783, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][8] = { 769, 1784, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][9] = { 770, 1779, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][10] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][13] = { 769, 1618, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][14] = { 770, 1787, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][15] = { 771, 1788, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][16] = { 769, 1617, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][17] = { 770, 1776, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][18] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][20] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[88][21] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[88][22] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[88][23] = { 768, 1140, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[88][24] = { 768, 1141, -1, -1, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[88][25] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[88][26] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[88][27] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[88][28] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[88][29] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[88][30] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[88][31] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1386, 1407, -1, -1 }
map_tiles[88][32] = { 768, 1785, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][34] = { 768, 1137, -1, -1, -2, -2, -1, -2, -1, 1396, -1, -1 }
map_tiles[88][35] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1369, 2318, -1, -1 }
map_tiles[88][36] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[88][37] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[88][38] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[88][39] = { 768, 1140, -1, -1, -2, -2, -1, -2, 1400, -1, -1, -1 }
map_tiles[88][40] = { 768, 1141, -1, -1, -2, -2, -1, -2, 1365, -1, -1, -1 }
map_tiles[88][41] = { 768, 1142, -1, -1, -2, -2, -1, -2, 1365, -1, -1, -1 }
map_tiles[88][42] = { 768, 1143, -1, -1, -2, -2, -1, -2, 1398, -1, -1, -1 }
map_tiles[88][43] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[88][44] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[88][45] = { 768, 1146, -1, 1679, -2, -2, -1, -2, 1370, 1407, -1, -1 }
map_tiles[88][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][52] = { 768, 1773, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][53] = { 768, 1774, -1, 1120, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][54] = { 768, 1121, -1, -1, -2, -2, -1, -2, 1380, -1, -1, -1 }
map_tiles[88][55] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1369, 2322, 2306, -1 }
map_tiles[88][56] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1370, 2322, -1, -1 }
map_tiles[88][57] = { 768, 1124, -1, -1, -2, -2, -1, -2, 1388, -1, -1, -1 }
map_tiles[88][58] = { 768, 1125, -1, -1, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[88][59] = { 768, 1126, -1, -1, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[88][60] = { 768, 1127, -1, -1, -2, -2, -1, -2, 1390, -1, -1, -1 }
map_tiles[88][61] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1369, -1, -1, -1 }
map_tiles[88][62] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1370, 66, -1, -1 }
map_tiles[88][63] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1369, 67, -1, -1 }
map_tiles[88][64] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[88][65] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1369, 66, -1, -1 }
map_tiles[88][66] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1370, 67, -1, -1 }
map_tiles[88][67] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1369, 217, -1, -1 }
map_tiles[88][68] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1370, -1, -1, -1 }
map_tiles[88][69] = { 768, 1122, -1, -1, -2, -2, -1, -2, 1369, -1, 96, -1 }
map_tiles[88][70] = { 768, 1123, -1, -1, -2, -2, -1, -2, 1370, -1, 97, -1 }
map_tiles[88][71] = { 768, 1128, -1, -1, -2, -2, -1, -2, 1369, -1, 98, -1 }
map_tiles[88][72] = { 768, 1129, -1, -1, -2, -2, -1, -2, 1370, 248, 2304, -1 }
map_tiles[88][73] = { 768, 1130, -1, -1, -2, -2, -1, -2, 1369, 1391, -1, 1391 }
map_tiles[88][74] = { 768, 1785, -1, 1131, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][75] = { 768, 1757, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][76] = { 768, 1648, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][77] = { 768, 1656, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][78] = { 768, 1649, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][79] = { 768, 1649, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][80] = { 768, 1704, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][81] = { 768, 1622, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][83] = { 768, 1776, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][84] = { 768, 1137, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][85] = { 768, 1138, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][86] = { 768, 1139, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][87] = { 768, 1138, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][88] = { 768, 1139, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][89] = { 768, 1144, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][90] = { 768, 1145, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][91] = { 768, 1146, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][93] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][94] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][95] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][96] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[88][97] = { 768, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][1] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][2] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][3] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][4] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][5] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][6] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][7] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][8] = { 785, 1717, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][9] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][10] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][11] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][12] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][13] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][14] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][15] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][16] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][17] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][18] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][20] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[89][21] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[89][22] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[89][23] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[89][24] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1415 }
map_tiles[89][25] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1416 }
map_tiles[89][26] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[89][27] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[89][28] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[89][29] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[89][30] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[89][31] = { 768, 1162, -1, -1, -2, -2, -1, -2, 1423, -1, -1, -1 }
map_tiles[89][32] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][33] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][34] = { 768, 1153, -1, -1, -2, -2, -1, -2, -1, 1412, -1, -1 }
map_tiles[89][35] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1385, 1418, -1, -1 }
map_tiles[89][36] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1386, 1419, -1, -1 }
map_tiles[89][37] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1385, 1420, -1, -1 }
map_tiles[89][38] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1386, 1421, -1, -1 }
map_tiles[89][39] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1385, 1422, -1, -1 }
map_tiles[89][40] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1415 }
map_tiles[89][41] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1381, -1, -1, 1416 }
map_tiles[89][42] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1386, 1420, -1, -1 }
map_tiles[89][43] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1385, 1421, -1, -1 }
map_tiles[89][44] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1385, 1422, -1, -1 }
map_tiles[89][45] = { 768, 1162, -1, 1695, -2, -2, -1, -2, 1386, 1423, -1, -1 }
map_tiles[89][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][52] = { 768, 1789, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][53] = { 768, 1790, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][54] = { 768, 1137, -1, -1, -2, -2, -1, -2, 1396, -1, -1, -1 }
map_tiles[89][55] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1385, 2322, -1, -1 }
map_tiles[89][56] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1386, 2323, -1, -1 }
map_tiles[89][57] = { 768, 1140, -1, 1164, -2, -2, -1, -2, 1388, -1, -1, -1 }
map_tiles[89][58] = { 768, 1141, -1, 1165, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[89][59] = { 768, 1142, -1, 1164, -2, -2, -1, -2, 1389, -1, -1, -1 }
map_tiles[89][60] = { 768, 1143, -1, 1165, -2, -2, -1, -2, 1390, -1, -1, -1 }
map_tiles[89][61] = { 768, 1144, -1, -1, -2, -2, -1, -2, 1385, -1, -1, -1 }
map_tiles[89][62] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1386, 82, -1, -1 }
map_tiles[89][63] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1385, 83, -1, -1 }
map_tiles[89][64] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1386, -1, -1, -1 }
map_tiles[89][65] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1385, 82, -1, -1 }
map_tiles[89][66] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1386, 83, -1, -1 }
map_tiles[89][67] = { 768, 1138, -1, -1, -2, -2, -1, -2, 1385, 232, -1, -1 }
map_tiles[89][68] = { 768, 1139, -1, -1, -2, -2, -1, -2, 1386, 233, -1, -1 }
map_tiles[89][69] = { 768, 1138, -1, -1, -2, -2, -1, -2, 112, -1, 2386, -1 }
map_tiles[89][70] = { 768, 1139, -1, -1, -2, -2, -1, -2, 113, -1, 2384, -1 }
map_tiles[89][71] = { 768, 1144, -1, -1, -2, -2, -1, -2, 114, -1, 2388, -1 }
map_tiles[89][72] = { 768, 1145, -1, -1, -2, -2, -1, -2, 1386, 2320, -1, -1 }
map_tiles[89][73] = { 768, 1146, -1, -1, -2, -2, -1, -2, 1385, 1407, -1, 1407 }
map_tiles[89][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][75] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][76] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][77] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][78] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][79] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][81] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][82] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][84] = { 768, 1153, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][85] = { 768, 1154, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][86] = { 768, 1155, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][87] = { 768, 1160, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][88] = { 768, 1161, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][89] = { 768, 1160, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][90] = { 768, 1161, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][91] = { 768, 1162, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][93] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][94] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][95] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][96] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[89][97] = { 768, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][1] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][2] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][3] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][4] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][5] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][6] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][7] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][8] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][9] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][10] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][11] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][12] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][13] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][14] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][15] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][16] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][17] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][18] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][19] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][20] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][21] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][23] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][24] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][25] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][26] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][27] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][28] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][29] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][30] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][31] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][32] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][33] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][34] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][36] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][37] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][38] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][39] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][40] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][41] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][42] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][45] = { 768, 1711, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][49] = { 768, 547, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][53] = { 768, 1775, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][54] = { 768, 1153, -1, -1, -2, -2, -1, -2, 1412, -1, -1, -1 }
map_tiles[90][55] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1413, -1, -1, -1 }
map_tiles[90][56] = { 768, 1155, -1, 1743, -2, -2, -1, -2, 1414, -1, -1, -1 }
map_tiles[90][57] = { 768, 1156, -1, -1, -2, -2, -1, -2, 1404, 1414, -1, -1 }
map_tiles[90][58] = { 768, 1157, -1, -1, -2, -2, -1, -2, 1405, -1, -1, 1415 }
map_tiles[90][59] = { 768, 1158, -1, -1, -2, -2, -1, -2, 1405, -1, -1, 1416 }
map_tiles[90][60] = { 768, 1159, -1, -1, -2, -2, -1, -2, 1406, 1414, -1, -1 }
map_tiles[90][61] = { 768, 1160, -1, 1743, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[90][62] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[90][63] = { 768, 1154, -1, 1771, -2, -2, -1, -2, 1420, -1, -1, -1 }
map_tiles[90][64] = { 768, 1155, -1, 1772, -2, -2, -1, -2, 1421, -1, -1, -1 }
map_tiles[90][65] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1422, -1, -1, -1 }
map_tiles[90][66] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1417, -1, -1, -1 }
map_tiles[90][67] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[90][68] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1417, -1, -1, -1 }
map_tiles[90][69] = { 768, 1154, -1, -1, -2, -2, -1, -2, 1418, -1, -1, -1 }
map_tiles[90][70] = { 768, 1155, -1, -1, -2, -2, -1, -2, 1419, -1, -1, -1 }
map_tiles[90][71] = { 768, 1160, -1, -1, -2, -2, -1, -2, 1420, -1, -1, -1 }
map_tiles[90][72] = { 768, 1161, -1, -1, -2, -2, -1, -2, 1421, -1, -1, -1 }
map_tiles[90][73] = { 768, 1162, -1, -1, -2, -2, -1, -2, -1, -1, -1, 1423 }
map_tiles[90][74] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][75] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][76] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][77] = { 773, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][78] = { 774, -1, -1, 1693, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][79] = { 774, -1, -1, 1694, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][80] = { 775, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][81] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][82] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][83] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][84] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][85] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][86] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][87] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][88] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][89] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][90] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][91] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][92] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][93] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][94] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][95] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][96] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[90][97] = { 768, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][2] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][3] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][4] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][5] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][7] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][8] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][9] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][10] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][11] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][12] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][13] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][14] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][19] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][20] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][21] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][23] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][24] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][25] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][26] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][27] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][28] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][29] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][30] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][31] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][32] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][33] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][34] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][35] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][36] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][37] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][38] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][39] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][40] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][41] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][42] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][55] = { 768, 1716, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][56] = { 768, 1759, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][57] = { 768, 1716, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][58] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][60] = { 768, 1716, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][61] = { 768, 1759, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][62] = { 768, 1716, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][63] = { 768, 1787, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][64] = { 768, 1788, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][66] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][67] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][68] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][69] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][72] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][73] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][74] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][75] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][77] = { 789, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][78] = { 790, 1709, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][79] = { 790, 1710, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][80] = { 791, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][83] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][84] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][85] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][86] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][87] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][88] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][89] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][90] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][91] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][92] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][93] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][94] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][95] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][96] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[91][97] = { 768, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][2] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][3] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][4] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][5] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][7] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][8] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][9] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][10] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][11] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][12] = { 769, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][13] = { 770, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][14] = { 771, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][19] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][20] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][21] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][23] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][24] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][25] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][26] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][27] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][28] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][29] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][30] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][31] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][32] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][33] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][34] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][35] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][36] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][37] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][38] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][39] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][40] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][41] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][42] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][56] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][57] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][58] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][60] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][61] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][62] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][63] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][66] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][67] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][68] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][69] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][72] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][73] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][74] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][75] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][77] = { 805, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][78] = { 806, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][79] = { 806, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][80] = { 807, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][83] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][84] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][85] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][86] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][89] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][90] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][91] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][92] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][94] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][95] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][96] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[92][97] = { 768, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][0] = { 768, 288, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][1] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][2] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][3] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][4] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][5] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][6] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][7] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][8] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][9] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][10] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][11] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][12] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][13] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][14] = { 787, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][15] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][16] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][17] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][18] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][19] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][20] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][21] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][22] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][23] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][24] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][25] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][26] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][27] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][28] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][29] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][30] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][31] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][32] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][33] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][34] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][35] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][36] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][37] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][38] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][39] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][40] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][41] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][42] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][43] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][44] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][45] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][46] = { 768, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][47] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][48] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][49] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][50] = { 768, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][51] = { 768, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][52] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][53] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][54] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][55] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][56] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][57] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][58] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][59] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][60] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][61] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][62] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][63] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][64] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][65] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][66] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][67] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][68] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][69] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][70] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][71] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][72] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][73] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][74] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][75] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][76] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][77] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][78] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][79] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][80] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][81] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][82] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][83] = { 816, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][84] = { 817, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][85] = { 818, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][86] = { 819, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][87] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][88] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][89] = { 800, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][90] = { 801, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][91] = { 802, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][92] = { 803, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][93] = { 768, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][94] = { 784, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][95] = { 785, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][96] = { 786, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[93][97] = { 787, 290, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][0] = { 768, -1, -1, 304, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][1] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][2] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][3] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][4] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][5] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][6] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][7] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][8] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][9] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][10] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][11] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][12] = { 801, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][13] = { 802, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][14] = { 803, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][15] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][16] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][17] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][18] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][19] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][20] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][21] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][22] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][23] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][24] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][25] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][26] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][27] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][28] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][29] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][30] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][31] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][32] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][33] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][34] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][35] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][36] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][37] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][38] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][39] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][40] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][41] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][42] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][43] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][44] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][45] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][46] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][47] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][48] = { 529, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][49] = { 529, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][50] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][51] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][52] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][53] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][54] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][55] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][56] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][57] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][58] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][59] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][60] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][61] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][62] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][63] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][64] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][65] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][66] = { 816, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][67] = { 817, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][68] = { 818, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][69] = { 819, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][70] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][71] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][72] = { 816, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][73] = { 817, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][74] = { 818, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][75] = { 819, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][76] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][77] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][78] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][79] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][80] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][81] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][82] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][83] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][84] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][85] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][86] = { 768, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][87] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][88] = { 768, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][89] = { 816, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][90] = { 817, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][91] = { 818, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][92] = { 819, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][93] = { 768, -1, -1, 432, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][94] = { 800, -1, -1, 433, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][95] = { 801, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][96] = { 802, -1, -1, 305, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[94][97] = { 803, -1, -1, 306, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][0] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][1] = { 768, -1, -1, 323, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][2] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][3] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][4] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][5] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][6] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][7] = { 768, -1, -1, 369, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][8] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][9] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][10] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][11] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][12] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][13] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][14] = { 768, -1, -1, 308, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][15] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][16] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][17] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][18] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][19] = { 768, -1, -1, 307, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][20] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][21] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][22] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][23] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][24] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][25] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][26] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][27] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][28] = { 768, -1, -1, 369, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][29] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][30] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][31] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][32] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][33] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][34] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][35] = { 768, -1, -1, 323, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][36] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][37] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][38] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][39] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][40] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][41] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][42] = { 768, -1, -1, 307, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][43] = { 768, -1, -1, 356, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][44] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][45] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][46] = { 768, -1, -1, 325, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][47] = { 768, -1, -1, 326, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][48] = { 529, -1, -1, 314, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][49] = { 529, -1, -1, 315, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][50] = { 768, -1, -1, 329, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][51] = { 768, -1, -1, 330, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][52] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][53] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][54] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][55] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][56] = { 768, -1, -1, 323, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][57] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][58] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][59] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][60] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][61] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][62] = { 768, -1, -1, 324, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][63] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][64] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][65] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][66] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][67] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][68] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][69] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][70] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][71] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][72] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][73] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][74] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][75] = { 768, -1, -1, 323, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][76] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][77] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][78] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][79] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][80] = { 768, -1, -1, 308, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][81] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][82] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][83] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][84] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][85] = { 768, -1, -1, 324, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][86] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][87] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][88] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][89] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][90] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][91] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][92] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][93] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][94] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][95] = { 768, -1, -1, 340, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][96] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[95][97] = { 768, -1, -1, 321, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][0] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][1] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][2] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][3] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][4] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][5] = { 356, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][6] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][7] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][8] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][9] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][10] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][11] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][12] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][13] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][14] = { 307, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][15] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][16] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][17] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][18] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][19] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][20] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][21] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][22] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][23] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][24] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][25] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][26] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][27] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][28] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][29] = { 356, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][30] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][33] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][36] = { 307, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][37] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][38] = { 354, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][39] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][40] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][41] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][42] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][43] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][44] = { 307, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][45] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][46] = { 321, 341, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][47] = { 529, -1, -1, 640, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][48] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][49] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][50] = { 529, -1, -1, 641, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][51] = { 321, 346, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][52] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][53] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][54] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][55] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][56] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][57] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][58] = { 356, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][60] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][64] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][67] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][68] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][69] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][70] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][71] = { 307, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][72] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][73] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][74] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][75] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][76] = { 369, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][77] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][78] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][79] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][80] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][81] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][82] = { 369, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][83] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][84] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][85] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][86] = { 307, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][87] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][88] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][89] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][90] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][91] = { 355, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][92] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][93] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][94] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][95] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][96] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[96][97] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][0] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][1] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][2] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][3] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][4] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][5] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][6] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][7] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][8] = { 339, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][9] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][10] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][11] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][12] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][13] = { 324, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][14] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][15] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][16] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][17] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][18] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][19] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][20] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][21] = { 324, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][22] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][23] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][24] = { 355, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][25] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][26] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][27] = { 323, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][28] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][29] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][30] = { 324, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][32] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][33] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][34] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][37] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][39] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][40] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][41] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][42] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][43] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][44] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][45] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][46] = { 357, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][47] = { 529, 656, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][48] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][49] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][50] = { 529, 657, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][51] = { 362, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][52] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][53] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][54] = { 369, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][55] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][56] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][57] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][60] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][61] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][63] = { 356, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][64] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][65] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][67] = { 369, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][68] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][69] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][70] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][71] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][72] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][73] = { 356, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][74] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][75] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][76] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][77] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][78] = { 354, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][79] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][80] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][81] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][82] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][83] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][84] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][85] = { 369, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][86] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][87] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][88] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][89] = { 356, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][90] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][91] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][92] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][93] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][94] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][95] = { 307, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][96] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[97][97] = { 339, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][0] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][1] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][2] = { 353, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][3] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][4] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][5] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][6] = { 354, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][7] = { 355, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][8] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][9] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][10] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][11] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][12] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][13] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][14] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][15] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][16] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][17] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][18] = { 323, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][19] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][20] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][21] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][22] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][23] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][24] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][25] = { 324, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][26] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][27] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][28] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][29] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][30] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][31] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][32] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][33] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][34] = { 339, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][35] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][36] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][37] = { 324, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][38] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][39] = { 369, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][40] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][41] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][42] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][43] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][44] = { 352, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][45] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][46] = { 373, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][47] = { 529, 672, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][48] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][49] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][50] = { 529, 673, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][51] = { 378, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][52] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][53] = { 352, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][54] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][55] = { 369, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][56] = { 307, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][57] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][58] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][59] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][60] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][61] = { 355, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][62] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][63] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][64] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][65] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][66] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][67] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][68] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][69] = { 307, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][70] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][71] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][72] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][73] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][74] = { 353, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][75] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][76] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][77] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][78] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][79] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][80] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][81] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][82] = { 356, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][83] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][84] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][85] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][86] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][87] = { 368, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][88] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][89] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][90] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][91] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][92] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][93] = { 308, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][94] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][95] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][96] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[98][97] = { 321, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][0] = { 891, 336, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][1] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][2] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][3] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][4] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][5] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][6] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][7] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][8] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][9] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][10] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][11] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][12] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][13] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][14] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][15] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][16] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][17] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][18] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][19] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][20] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][21] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][22] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][23] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][24] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][25] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][26] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][27] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][28] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][29] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][30] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][31] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][32] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][33] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][34] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][35] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][36] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][37] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][38] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][39] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][40] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][41] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][42] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][43] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][44] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][45] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][46] = { 389, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][47] = { 529, 688, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][48] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][49] = { 529, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][50] = { 529, 689, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][51] = { 394, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][52] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][53] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][54] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][55] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][56] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][57] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][58] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][59] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][60] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][61] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][62] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][63] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][64] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][65] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][66] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][67] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][68] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][69] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][70] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][71] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][72] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][73] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][74] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][75] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][76] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][77] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][78] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][79] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][80] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][81] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][82] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][83] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][84] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][85] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][86] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][87] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][88] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][89] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][90] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][91] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][92] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][93] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][94] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][95] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][96] = { 337, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[99][97] = { 891, 338, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][0] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][1] = { 829, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][2] = { 830, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][3] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][4] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][5] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][6] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][7] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][8] = { 793, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][9] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][10] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][11] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][12] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][13] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][14] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][15] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][16] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][17] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][18] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][19] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][20] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][21] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][22] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][23] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][24] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][25] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][26] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][27] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][28] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][29] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][30] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][31] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][32] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][33] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][34] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][35] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][36] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][37] = { 891, 1003, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][38] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][39] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][40] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][41] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][42] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][43] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][44] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][45] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][46] = { 891, 512, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][47] = { 891, 532, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][48] = { -1, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][49] = { -1, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][50] = { 891, 531, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][51] = { 891, 514, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][52] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][53] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][54] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][55] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][56] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][57] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][58] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][59] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][60] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][61] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][62] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][63] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][64] = { 891, 971, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][65] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][66] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][67] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][68] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][69] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][70] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][71] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][72] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][73] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][74] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][75] = { 827, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][76] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][77] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][78] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][79] = { 891, -1, -1, 1002, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][80] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][81] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][82] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][83] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][84] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][85] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][86] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][87] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][88] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][89] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][90] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][91] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][92] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][93] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][94] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][95] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][96] = { 828, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[100][97] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][0] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][1] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][2] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][3] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][4] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][5] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][6] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][7] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][8] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][9] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][10] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][11] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][12] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][13] = { 891, 1019, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][14] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][15] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][16] = { 777, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][17] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][18] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][19] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][20] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][21] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][22] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][23] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][24] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][25] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][26] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][27] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][28] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][29] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][30] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][31] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][32] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][33] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][34] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][35] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][36] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][37] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][38] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][39] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][40] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][41] = { 826, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][42] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][43] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][44] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][45] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][46] = { 891, 528, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][47] = { 891, 547, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][48] = { -1, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][49] = { 891, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][50] = { 891, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][51] = { 891, 530, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][52] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][53] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][54] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][55] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][56] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][57] = { 793, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][58] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][59] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][60] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][61] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][62] = { 827, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][63] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][64] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][65] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][66] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][67] = { 809, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][68] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][69] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][70] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][71] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][72] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][73] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][74] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][75] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][76] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][77] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][78] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][79] = { 891, 1018, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][80] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][81] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][82] = { 828, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][83] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][84] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][85] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][86] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][87] = { 809, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][88] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][89] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][90] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][91] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][92] = { 815, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][93] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][94] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][95] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][96] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[101][97] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][0] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][1] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][2] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][3] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][4] = { 777, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][5] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][6] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][7] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][8] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][9] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][10] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][11] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][12] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][13] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][14] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][15] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][16] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][17] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][18] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][19] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][20] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][21] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][22] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][23] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][24] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][25] = { 809, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][26] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][27] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][28] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][29] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][30] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][31] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][32] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][33] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][34] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][35] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][36] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][37] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][38] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][39] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][40] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][41] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][42] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][43] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][44] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][45] = { 891, 512, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][46] = { 891, 532, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][47] = { -1, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][48] = { -1, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][49] = { 891, 529, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][50] = { 891, 547, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][51] = { 891, 531, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][52] = { 891, 514, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][53] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][54] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][55] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][56] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][57] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][58] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][59] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][60] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][61] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][62] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][63] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][64] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][65] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][66] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][67] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][68] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][69] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][70] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][71] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][72] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][73] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][74] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][75] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][76] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][77] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][78] = { 793, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][79] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][80] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][81] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][82] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][83] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][84] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][85] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][86] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][87] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][88] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][89] = { 891, 971, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][90] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][91] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][92] = { 831, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][93] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][94] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][95] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][96] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[102][97] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][0] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][1] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][2] = { 891, 987, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][3] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][4] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][5] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][6] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][7] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][8] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][9] = { 778, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][10] = { 779, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][11] = { 779, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][12] = { 780, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][13] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][14] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][15] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][16] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][17] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][18] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][19] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][20] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][21] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][22] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][23] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][24] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][25] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][26] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][27] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][28] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][29] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][30] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][31] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][32] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][33] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][34] = { 827, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][35] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][36] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][37] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][38] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][39] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][40] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][41] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][42] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][43] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][44] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][45] = { 891, 544, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][46] = { 891, 516, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][47] = { 891, 515, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][48] = { 891, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][49] = { 891, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][50] = { 891, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][51] = { 891, 545, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][52] = { 891, 546, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][53] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][54] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][55] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][56] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][57] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][58] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][59] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][60] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][61] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][62] = { 825, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][63] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][64] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][65] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][66] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][67] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][68] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][69] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][70] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][71] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][72] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][73] = { 828, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][74] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][75] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][76] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][77] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][78] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][79] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][80] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][81] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][82] = { 782, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][83] = { 783, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][84] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][85] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][86] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][87] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][88] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][89] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][90] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][91] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][92] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][93] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][94] = { 827, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][95] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][96] = { 891, 1003, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }
map_tiles[103][97] = { 891, -1, -1, -1, -2, -2, -1, -2, -1, -1, -1, -1 }

